//  Copyright 2019 root.ext@gmail.com
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

import 'dart:ffi';

import 'vulkan_header.dart';
import 'vulkan_library.dart';

VkCreateInstance vkCreateInstance;
VkDestroyInstance vkDestroyInstance;
VkEnumeratePhysicalDevices vkEnumeratePhysicalDevices;
VkGetDeviceProcAddr vkGetDeviceProcAddr;
VkGetInstanceProcAddr vkGetInstanceProcAddr;
VkGetPhysicalDeviceProperties vkGetPhysicalDeviceProperties;
VkGetPhysicalDeviceQueueFamilyProperties vkGetPhysicalDeviceQueueFamilyProperties;
VkGetPhysicalDeviceMemoryProperties vkGetPhysicalDeviceMemoryProperties;
VkGetPhysicalDeviceFeatures vkGetPhysicalDeviceFeatures;
VkGetPhysicalDeviceFormatProperties vkGetPhysicalDeviceFormatProperties;
VkGetPhysicalDeviceImageFormatProperties vkGetPhysicalDeviceImageFormatProperties;
VkCreateDevice vkCreateDevice;
VkDestroyDevice vkDestroyDevice;
VkEnumerateInstanceVersion vkEnumerateInstanceVersion;
VkEnumerateInstanceLayerProperties vkEnumerateInstanceLayerProperties;
VkEnumerateInstanceExtensionProperties vkEnumerateInstanceExtensionProperties;
VkEnumerateDeviceLayerProperties vkEnumerateDeviceLayerProperties;
VkEnumerateDeviceExtensionProperties vkEnumerateDeviceExtensionProperties;
VkGetDeviceQueue vkGetDeviceQueue;
VkQueueSubmit vkQueueSubmit;
VkQueueWaitIdle vkQueueWaitIdle;
VkDeviceWaitIdle vkDeviceWaitIdle;
VkAllocateMemory vkAllocateMemory;
VkFreeMemory vkFreeMemory;
VkMapMemory vkMapMemory;
VkUnmapMemory vkUnmapMemory;
VkFlushMappedMemoryRanges vkFlushMappedMemoryRanges;
VkInvalidateMappedMemoryRanges vkInvalidateMappedMemoryRanges;
VkGetDeviceMemoryCommitment vkGetDeviceMemoryCommitment;
VkGetBufferMemoryRequirements vkGetBufferMemoryRequirements;
VkBindBufferMemory vkBindBufferMemory;
VkGetImageMemoryRequirements vkGetImageMemoryRequirements;
VkBindImageMemory vkBindImageMemory;
VkGetImageSparseMemoryRequirements vkGetImageSparseMemoryRequirements;
VkGetPhysicalDeviceSparseImageFormatProperties vkGetPhysicalDeviceSparseImageFormatProperties;
VkQueueBindSparse vkQueueBindSparse;
VkCreateFence vkCreateFence;
VkDestroyFence vkDestroyFence;
VkResetFences vkResetFences;
VkGetFenceStatus vkGetFenceStatus;
VkWaitForFences vkWaitForFences;
VkCreateSemaphore vkCreateSemaphore;
VkDestroySemaphore vkDestroySemaphore;
VkCreateEvent vkCreateEvent;
VkDestroyEvent vkDestroyEvent;
VkGetEventStatus vkGetEventStatus;
VkSetEvent vkSetEvent;
VkResetEvent vkResetEvent;
VkCreateQueryPool vkCreateQueryPool;
VkDestroyQueryPool vkDestroyQueryPool;
VkGetQueryPoolResults vkGetQueryPoolResults;
VkResetQueryPool vkResetQueryPool;
VkResetQueryPoolEXT vkResetQueryPoolEXT;
VkCreateBuffer vkCreateBuffer;
VkDestroyBuffer vkDestroyBuffer;
VkCreateBufferView vkCreateBufferView;
VkDestroyBufferView vkDestroyBufferView;
VkCreateImage vkCreateImage;
VkDestroyImage vkDestroyImage;
VkGetImageSubresourceLayout vkGetImageSubresourceLayout;
VkCreateImageView vkCreateImageView;
VkDestroyImageView vkDestroyImageView;
VkCreateShaderModule vkCreateShaderModule;
VkDestroyShaderModule vkDestroyShaderModule;
VkCreatePipelineCache vkCreatePipelineCache;
VkDestroyPipelineCache vkDestroyPipelineCache;
VkGetPipelineCacheData vkGetPipelineCacheData;
VkMergePipelineCaches vkMergePipelineCaches;
VkCreateGraphicsPipelines vkCreateGraphicsPipelines;
VkCreateComputePipelines vkCreateComputePipelines;
VkDestroyPipeline vkDestroyPipeline;
VkCreatePipelineLayout vkCreatePipelineLayout;
VkDestroyPipelineLayout vkDestroyPipelineLayout;
VkCreateSampler vkCreateSampler;
VkDestroySampler vkDestroySampler;
VkCreateDescriptorSetLayout vkCreateDescriptorSetLayout;
VkDestroyDescriptorSetLayout vkDestroyDescriptorSetLayout;
VkCreateDescriptorPool vkCreateDescriptorPool;
VkDestroyDescriptorPool vkDestroyDescriptorPool;
VkResetDescriptorPool vkResetDescriptorPool;
VkAllocateDescriptorSets vkAllocateDescriptorSets;
VkFreeDescriptorSets vkFreeDescriptorSets;
VkUpdateDescriptorSets vkUpdateDescriptorSets;
VkCreateFramebuffer vkCreateFramebuffer;
VkDestroyFramebuffer vkDestroyFramebuffer;
VkCreateRenderPass vkCreateRenderPass;
VkDestroyRenderPass vkDestroyRenderPass;
VkGetRenderAreaGranularity vkGetRenderAreaGranularity;
VkCreateCommandPool vkCreateCommandPool;
VkDestroyCommandPool vkDestroyCommandPool;
VkResetCommandPool vkResetCommandPool;
VkAllocateCommandBuffers vkAllocateCommandBuffers;
VkFreeCommandBuffers vkFreeCommandBuffers;
VkBeginCommandBuffer vkBeginCommandBuffer;
VkEndCommandBuffer vkEndCommandBuffer;
VkResetCommandBuffer vkResetCommandBuffer;
VkCmdBindPipeline vkCmdBindPipeline;
VkCmdSetViewport vkCmdSetViewport;
VkCmdSetScissor vkCmdSetScissor;
VkCmdSetLineWidth vkCmdSetLineWidth;
VkCmdSetDepthBias vkCmdSetDepthBias;
VkCmdSetBlendConstants vkCmdSetBlendConstants;
VkCmdSetDepthBounds vkCmdSetDepthBounds;
VkCmdSetStencilCompareMask vkCmdSetStencilCompareMask;
VkCmdSetStencilWriteMask vkCmdSetStencilWriteMask;
VkCmdSetStencilReference vkCmdSetStencilReference;
VkCmdBindDescriptorSets vkCmdBindDescriptorSets;
VkCmdBindIndexBuffer vkCmdBindIndexBuffer;
VkCmdBindVertexBuffers vkCmdBindVertexBuffers;
VkCmdDraw vkCmdDraw;
VkCmdDrawIndexed vkCmdDrawIndexed;
VkCmdDrawIndirect vkCmdDrawIndirect;
VkCmdDrawIndexedIndirect vkCmdDrawIndexedIndirect;
VkCmdDispatch vkCmdDispatch;
VkCmdDispatchIndirect vkCmdDispatchIndirect;
VkCmdCopyBuffer vkCmdCopyBuffer;
VkCmdCopyImage vkCmdCopyImage;
VkCmdBlitImage vkCmdBlitImage;
VkCmdCopyBufferToImage vkCmdCopyBufferToImage;
VkCmdCopyImageToBuffer vkCmdCopyImageToBuffer;
VkCmdUpdateBuffer vkCmdUpdateBuffer;
VkCmdFillBuffer vkCmdFillBuffer;
VkCmdClearColorImage vkCmdClearColorImage;
VkCmdClearDepthStencilImage vkCmdClearDepthStencilImage;
VkCmdClearAttachments vkCmdClearAttachments;
VkCmdResolveImage vkCmdResolveImage;
VkCmdSetEvent vkCmdSetEvent;
VkCmdResetEvent vkCmdResetEvent;
VkCmdWaitEvents vkCmdWaitEvents;
VkCmdPipelineBarrier vkCmdPipelineBarrier;
VkCmdBeginQuery vkCmdBeginQuery;
VkCmdEndQuery vkCmdEndQuery;
VkCmdBeginConditionalRenderingEXT vkCmdBeginConditionalRenderingEXT;
VkCmdEndConditionalRenderingEXT vkCmdEndConditionalRenderingEXT;
VkCmdResetQueryPool vkCmdResetQueryPool;
VkCmdWriteTimestamp vkCmdWriteTimestamp;
VkCmdCopyQueryPoolResults vkCmdCopyQueryPoolResults;
VkCmdPushConstants vkCmdPushConstants;
VkCmdBeginRenderPass vkCmdBeginRenderPass;
VkCmdNextSubpass vkCmdNextSubpass;
VkCmdEndRenderPass vkCmdEndRenderPass;
VkCmdExecuteCommands vkCmdExecuteCommands;
VkCreateAndroidSurfaceKHR vkCreateAndroidSurfaceKHR;
VkGetPhysicalDeviceDisplayPropertiesKHR vkGetPhysicalDeviceDisplayPropertiesKHR;
VkGetPhysicalDeviceDisplayPlanePropertiesKHR vkGetPhysicalDeviceDisplayPlanePropertiesKHR;
VkGetDisplayPlaneSupportedDisplaysKHR vkGetDisplayPlaneSupportedDisplaysKHR;
VkGetDisplayModePropertiesKHR vkGetDisplayModePropertiesKHR;
VkCreateDisplayModeKHR vkCreateDisplayModeKHR;
VkGetDisplayPlaneCapabilitiesKHR vkGetDisplayPlaneCapabilitiesKHR;
VkCreateDisplayPlaneSurfaceKHR vkCreateDisplayPlaneSurfaceKHR;
VkCreateSharedSwapchainsKHR vkCreateSharedSwapchainsKHR;
VkDestroySurfaceKHR vkDestroySurfaceKHR;
VkGetPhysicalDeviceSurfaceSupportKHR vkGetPhysicalDeviceSurfaceSupportKHR;
VkGetPhysicalDeviceSurfaceCapabilitiesKHR vkGetPhysicalDeviceSurfaceCapabilitiesKHR;
VkGetPhysicalDeviceSurfaceFormatsKHR vkGetPhysicalDeviceSurfaceFormatsKHR;
VkGetPhysicalDeviceSurfacePresentModesKHR vkGetPhysicalDeviceSurfacePresentModesKHR;
VkCreateSwapchainKHR vkCreateSwapchainKHR;
VkDestroySwapchainKHR vkDestroySwapchainKHR;
VkGetSwapchainImagesKHR vkGetSwapchainImagesKHR;
VkAcquireNextImageKHR vkAcquireNextImageKHR;
VkQueuePresentKHR vkQueuePresentKHR;
VkCreateViSurfaceNN vkCreateViSurfaceNN;
VkCreateWaylandSurfaceKHR vkCreateWaylandSurfaceKHR;
VkGetPhysicalDeviceWaylandPresentationSupportKHR vkGetPhysicalDeviceWaylandPresentationSupportKHR;
VkCreateWin32SurfaceKHR vkCreateWin32SurfaceKHR;
VkGetPhysicalDeviceWin32PresentationSupportKHR vkGetPhysicalDeviceWin32PresentationSupportKHR;
VkCreateXlibSurfaceKHR vkCreateXlibSurfaceKHR;
VkGetPhysicalDeviceXlibPresentationSupportKHR vkGetPhysicalDeviceXlibPresentationSupportKHR;
VkCreateXcbSurfaceKHR vkCreateXcbSurfaceKHR;
VkGetPhysicalDeviceXcbPresentationSupportKHR vkGetPhysicalDeviceXcbPresentationSupportKHR;
VkCreateDirectFBSurfaceEXT vkCreateDirectFBSurfaceEXT;
VkGetPhysicalDeviceDirectFBPresentationSupportEXT vkGetPhysicalDeviceDirectFBPresentationSupportEXT;
VkCreateImagePipeSurfaceFUCHSIA vkCreateImagePipeSurfaceFUCHSIA;
VkCreateStreamDescriptorSurfaceGGP vkCreateStreamDescriptorSurfaceGGP;
VkCreateScreenSurfaceQNX vkCreateScreenSurfaceQNX;
VkGetPhysicalDeviceScreenPresentationSupportQNX vkGetPhysicalDeviceScreenPresentationSupportQNX;
VkCreateDebugReportCallbackEXT vkCreateDebugReportCallbackEXT;
VkDestroyDebugReportCallbackEXT vkDestroyDebugReportCallbackEXT;
VkDebugReportMessageEXT vkDebugReportMessageEXT;
VkDebugMarkerSetObjectNameEXT vkDebugMarkerSetObjectNameEXT;
VkDebugMarkerSetObjectTagEXT vkDebugMarkerSetObjectTagEXT;
VkCmdDebugMarkerBeginEXT vkCmdDebugMarkerBeginEXT;
VkCmdDebugMarkerEndEXT vkCmdDebugMarkerEndEXT;
VkCmdDebugMarkerInsertEXT vkCmdDebugMarkerInsertEXT;
VkGetPhysicalDeviceExternalImageFormatPropertiesNV vkGetPhysicalDeviceExternalImageFormatPropertiesNV;
VkGetMemoryWin32HandleNV vkGetMemoryWin32HandleNV;
VkCmdExecuteGeneratedCommandsNV vkCmdExecuteGeneratedCommandsNV;
VkCmdPreprocessGeneratedCommandsNV vkCmdPreprocessGeneratedCommandsNV;
VkCmdBindPipelineShaderGroupNV vkCmdBindPipelineShaderGroupNV;
VkGetGeneratedCommandsMemoryRequirementsNV vkGetGeneratedCommandsMemoryRequirementsNV;
VkCreateIndirectCommandsLayoutNV vkCreateIndirectCommandsLayoutNV;
VkDestroyIndirectCommandsLayoutNV vkDestroyIndirectCommandsLayoutNV;
VkGetPhysicalDeviceFeatures2 vkGetPhysicalDeviceFeatures2;
VkGetPhysicalDeviceFeatures2KHR vkGetPhysicalDeviceFeatures2KHR;
VkGetPhysicalDeviceProperties2 vkGetPhysicalDeviceProperties2;
VkGetPhysicalDeviceProperties2KHR vkGetPhysicalDeviceProperties2KHR;
VkGetPhysicalDeviceFormatProperties2 vkGetPhysicalDeviceFormatProperties2;
VkGetPhysicalDeviceFormatProperties2KHR vkGetPhysicalDeviceFormatProperties2KHR;
VkGetPhysicalDeviceImageFormatProperties2 vkGetPhysicalDeviceImageFormatProperties2;
VkGetPhysicalDeviceImageFormatProperties2KHR vkGetPhysicalDeviceImageFormatProperties2KHR;
VkGetPhysicalDeviceQueueFamilyProperties2 vkGetPhysicalDeviceQueueFamilyProperties2;
VkGetPhysicalDeviceQueueFamilyProperties2KHR vkGetPhysicalDeviceQueueFamilyProperties2KHR;
VkGetPhysicalDeviceMemoryProperties2 vkGetPhysicalDeviceMemoryProperties2;
VkGetPhysicalDeviceMemoryProperties2KHR vkGetPhysicalDeviceMemoryProperties2KHR;
VkGetPhysicalDeviceSparseImageFormatProperties2 vkGetPhysicalDeviceSparseImageFormatProperties2;
VkGetPhysicalDeviceSparseImageFormatProperties2KHR vkGetPhysicalDeviceSparseImageFormatProperties2KHR;
VkCmdPushDescriptorSetKHR vkCmdPushDescriptorSetKHR;
VkTrimCommandPool vkTrimCommandPool;
VkTrimCommandPoolKHR vkTrimCommandPoolKHR;
VkGetPhysicalDeviceExternalBufferProperties vkGetPhysicalDeviceExternalBufferProperties;
VkGetPhysicalDeviceExternalBufferPropertiesKHR vkGetPhysicalDeviceExternalBufferPropertiesKHR;
VkGetMemoryWin32HandleKHR vkGetMemoryWin32HandleKHR;
VkGetMemoryWin32HandlePropertiesKHR vkGetMemoryWin32HandlePropertiesKHR;
VkGetMemoryFdKHR vkGetMemoryFdKHR;
VkGetMemoryFdPropertiesKHR vkGetMemoryFdPropertiesKHR;
VkGetPhysicalDeviceExternalSemaphoreProperties vkGetPhysicalDeviceExternalSemaphoreProperties;
VkGetPhysicalDeviceExternalSemaphorePropertiesKHR vkGetPhysicalDeviceExternalSemaphorePropertiesKHR;
VkGetSemaphoreWin32HandleKHR vkGetSemaphoreWin32HandleKHR;
VkImportSemaphoreWin32HandleKHR vkImportSemaphoreWin32HandleKHR;
VkGetSemaphoreFdKHR vkGetSemaphoreFdKHR;
VkImportSemaphoreFdKHR vkImportSemaphoreFdKHR;
VkGetPhysicalDeviceExternalFenceProperties vkGetPhysicalDeviceExternalFenceProperties;
VkGetPhysicalDeviceExternalFencePropertiesKHR vkGetPhysicalDeviceExternalFencePropertiesKHR;
VkGetFenceWin32HandleKHR vkGetFenceWin32HandleKHR;
VkImportFenceWin32HandleKHR vkImportFenceWin32HandleKHR;
VkGetFenceFdKHR vkGetFenceFdKHR;
VkImportFenceFdKHR vkImportFenceFdKHR;
VkReleaseDisplayEXT vkReleaseDisplayEXT;
VkAcquireXlibDisplayEXT vkAcquireXlibDisplayEXT;
VkGetRandROutputDisplayEXT vkGetRandROutputDisplayEXT;
VkAcquireWinrtDisplayNV vkAcquireWinrtDisplayNV;
VkGetWinrtDisplayNV vkGetWinrtDisplayNV;
VkDisplayPowerControlEXT vkDisplayPowerControlEXT;
VkRegisterDeviceEventEXT vkRegisterDeviceEventEXT;
VkRegisterDisplayEventEXT vkRegisterDisplayEventEXT;
VkGetSwapchainCounterEXT vkGetSwapchainCounterEXT;
VkGetPhysicalDeviceSurfaceCapabilities2EXT vkGetPhysicalDeviceSurfaceCapabilities2EXT;
VkEnumeratePhysicalDeviceGroups vkEnumeratePhysicalDeviceGroups;
VkEnumeratePhysicalDeviceGroupsKHR vkEnumeratePhysicalDeviceGroupsKHR;
VkGetDeviceGroupPeerMemoryFeatures vkGetDeviceGroupPeerMemoryFeatures;
VkGetDeviceGroupPeerMemoryFeaturesKHR vkGetDeviceGroupPeerMemoryFeaturesKHR;
VkBindBufferMemory2 vkBindBufferMemory2;
VkBindBufferMemory2KHR vkBindBufferMemory2KHR;
VkBindImageMemory2 vkBindImageMemory2;
VkBindImageMemory2KHR vkBindImageMemory2KHR;
VkCmdSetDeviceMask vkCmdSetDeviceMask;
VkCmdSetDeviceMaskKHR vkCmdSetDeviceMaskKHR;
VkGetDeviceGroupPresentCapabilitiesKHR vkGetDeviceGroupPresentCapabilitiesKHR;
VkGetDeviceGroupSurfacePresentModesKHR vkGetDeviceGroupSurfacePresentModesKHR;
VkAcquireNextImage2KHR vkAcquireNextImage2KHR;
VkCmdDispatchBase vkCmdDispatchBase;
VkCmdDispatchBaseKHR vkCmdDispatchBaseKHR;
VkGetPhysicalDevicePresentRectanglesKHR vkGetPhysicalDevicePresentRectanglesKHR;
VkCreateDescriptorUpdateTemplate vkCreateDescriptorUpdateTemplate;
VkCreateDescriptorUpdateTemplateKHR vkCreateDescriptorUpdateTemplateKHR;
VkDestroyDescriptorUpdateTemplate vkDestroyDescriptorUpdateTemplate;
VkDestroyDescriptorUpdateTemplateKHR vkDestroyDescriptorUpdateTemplateKHR;
VkUpdateDescriptorSetWithTemplate vkUpdateDescriptorSetWithTemplate;
VkUpdateDescriptorSetWithTemplateKHR vkUpdateDescriptorSetWithTemplateKHR;
VkCmdPushDescriptorSetWithTemplateKHR vkCmdPushDescriptorSetWithTemplateKHR;
VkSetHdrMetadataEXT vkSetHdrMetadataEXT;
VkGetSwapchainStatusKHR vkGetSwapchainStatusKHR;
VkGetRefreshCycleDurationGOOGLE vkGetRefreshCycleDurationGOOGLE;
VkGetPastPresentationTimingGOOGLE vkGetPastPresentationTimingGOOGLE;
VkCreateIOSSurfaceMVK vkCreateIOSSurfaceMVK;
VkCreateMacOSSurfaceMVK vkCreateMacOSSurfaceMVK;
VkCreateMetalSurfaceEXT vkCreateMetalSurfaceEXT;
VkCmdSetViewportWScalingNV vkCmdSetViewportWScalingNV;
VkCmdSetDiscardRectangleEXT vkCmdSetDiscardRectangleEXT;
VkCmdSetSampleLocationsEXT vkCmdSetSampleLocationsEXT;
VkGetPhysicalDeviceMultisamplePropertiesEXT vkGetPhysicalDeviceMultisamplePropertiesEXT;
VkGetPhysicalDeviceSurfaceCapabilities2KHR vkGetPhysicalDeviceSurfaceCapabilities2KHR;
VkGetPhysicalDeviceSurfaceFormats2KHR vkGetPhysicalDeviceSurfaceFormats2KHR;
VkGetPhysicalDeviceDisplayProperties2KHR vkGetPhysicalDeviceDisplayProperties2KHR;
VkGetPhysicalDeviceDisplayPlaneProperties2KHR vkGetPhysicalDeviceDisplayPlaneProperties2KHR;
VkGetDisplayModeProperties2KHR vkGetDisplayModeProperties2KHR;
VkGetDisplayPlaneCapabilities2KHR vkGetDisplayPlaneCapabilities2KHR;
VkGetBufferMemoryRequirements2 vkGetBufferMemoryRequirements2;
VkGetBufferMemoryRequirements2KHR vkGetBufferMemoryRequirements2KHR;
VkGetImageMemoryRequirements2 vkGetImageMemoryRequirements2;
VkGetImageMemoryRequirements2KHR vkGetImageMemoryRequirements2KHR;
VkGetImageSparseMemoryRequirements2 vkGetImageSparseMemoryRequirements2;
VkGetImageSparseMemoryRequirements2KHR vkGetImageSparseMemoryRequirements2KHR;
VkCreateSamplerYcbcrConversion vkCreateSamplerYcbcrConversion;
VkCreateSamplerYcbcrConversionKHR vkCreateSamplerYcbcrConversionKHR;
VkDestroySamplerYcbcrConversion vkDestroySamplerYcbcrConversion;
VkDestroySamplerYcbcrConversionKHR vkDestroySamplerYcbcrConversionKHR;
VkGetDeviceQueue2 vkGetDeviceQueue2;
VkCreateValidationCacheEXT vkCreateValidationCacheEXT;
VkDestroyValidationCacheEXT vkDestroyValidationCacheEXT;
VkGetValidationCacheDataEXT vkGetValidationCacheDataEXT;
VkMergeValidationCachesEXT vkMergeValidationCachesEXT;
VkGetDescriptorSetLayoutSupport vkGetDescriptorSetLayoutSupport;
VkGetDescriptorSetLayoutSupportKHR vkGetDescriptorSetLayoutSupportKHR;
VkGetSwapchainGrallocUsageANDROID vkGetSwapchainGrallocUsageANDROID;
VkGetSwapchainGrallocUsage2ANDROID vkGetSwapchainGrallocUsage2ANDROID;
VkAcquireImageANDROID vkAcquireImageANDROID;
VkQueueSignalReleaseImageANDROID vkQueueSignalReleaseImageANDROID;
VkGetShaderInfoAMD vkGetShaderInfoAMD;
VkSetLocalDimmingAMD vkSetLocalDimmingAMD;
VkGetPhysicalDeviceCalibrateableTimeDomainsEXT vkGetPhysicalDeviceCalibrateableTimeDomainsEXT;
VkGetCalibratedTimestampsEXT vkGetCalibratedTimestampsEXT;
VkSetDebugUtilsObjectNameEXT vkSetDebugUtilsObjectNameEXT;
VkSetDebugUtilsObjectTagEXT vkSetDebugUtilsObjectTagEXT;
VkQueueBeginDebugUtilsLabelEXT vkQueueBeginDebugUtilsLabelEXT;
VkQueueEndDebugUtilsLabelEXT vkQueueEndDebugUtilsLabelEXT;
VkQueueInsertDebugUtilsLabelEXT vkQueueInsertDebugUtilsLabelEXT;
VkCmdBeginDebugUtilsLabelEXT vkCmdBeginDebugUtilsLabelEXT;
VkCmdEndDebugUtilsLabelEXT vkCmdEndDebugUtilsLabelEXT;
VkCmdInsertDebugUtilsLabelEXT vkCmdInsertDebugUtilsLabelEXT;
VkCreateDebugUtilsMessengerEXT vkCreateDebugUtilsMessengerEXT;
VkDestroyDebugUtilsMessengerEXT vkDestroyDebugUtilsMessengerEXT;
VkSubmitDebugUtilsMessageEXT vkSubmitDebugUtilsMessageEXT;
VkGetMemoryHostPointerPropertiesEXT vkGetMemoryHostPointerPropertiesEXT;
VkCmdWriteBufferMarkerAMD vkCmdWriteBufferMarkerAMD;
VkCreateRenderPass2 vkCreateRenderPass2;
VkCreateRenderPass2KHR vkCreateRenderPass2KHR;
VkCmdBeginRenderPass2 vkCmdBeginRenderPass2;
VkCmdBeginRenderPass2KHR vkCmdBeginRenderPass2KHR;
VkCmdNextSubpass2 vkCmdNextSubpass2;
VkCmdNextSubpass2KHR vkCmdNextSubpass2KHR;
VkCmdEndRenderPass2 vkCmdEndRenderPass2;
VkCmdEndRenderPass2KHR vkCmdEndRenderPass2KHR;
VkGetSemaphoreCounterValue vkGetSemaphoreCounterValue;
VkGetSemaphoreCounterValueKHR vkGetSemaphoreCounterValueKHR;
VkWaitSemaphores vkWaitSemaphores;
VkWaitSemaphoresKHR vkWaitSemaphoresKHR;
VkSignalSemaphore vkSignalSemaphore;
VkSignalSemaphoreKHR vkSignalSemaphoreKHR;
VkGetAndroidHardwareBufferPropertiesANDROID vkGetAndroidHardwareBufferPropertiesANDROID;
VkGetMemoryAndroidHardwareBufferANDROID vkGetMemoryAndroidHardwareBufferANDROID;
VkCmdDrawIndirectCount vkCmdDrawIndirectCount;
VkCmdDrawIndirectCountKHR vkCmdDrawIndirectCountKHR;
VkCmdDrawIndirectCountAMD vkCmdDrawIndirectCountAMD;
VkCmdDrawIndexedIndirectCount vkCmdDrawIndexedIndirectCount;
VkCmdDrawIndexedIndirectCountKHR vkCmdDrawIndexedIndirectCountKHR;
VkCmdDrawIndexedIndirectCountAMD vkCmdDrawIndexedIndirectCountAMD;
VkCmdSetCheckpointNV vkCmdSetCheckpointNV;
VkGetQueueCheckpointDataNV vkGetQueueCheckpointDataNV;
VkCmdBindTransformFeedbackBuffersEXT vkCmdBindTransformFeedbackBuffersEXT;
VkCmdBeginTransformFeedbackEXT vkCmdBeginTransformFeedbackEXT;
VkCmdEndTransformFeedbackEXT vkCmdEndTransformFeedbackEXT;
VkCmdBeginQueryIndexedEXT vkCmdBeginQueryIndexedEXT;
VkCmdEndQueryIndexedEXT vkCmdEndQueryIndexedEXT;
VkCmdDrawIndirectByteCountEXT vkCmdDrawIndirectByteCountEXT;
VkCmdSetExclusiveScissorNV vkCmdSetExclusiveScissorNV;
VkCmdBindShadingRateImageNV vkCmdBindShadingRateImageNV;
VkCmdSetViewportShadingRatePaletteNV vkCmdSetViewportShadingRatePaletteNV;
VkCmdSetCoarseSampleOrderNV vkCmdSetCoarseSampleOrderNV;
VkCmdDrawMeshTasksNV vkCmdDrawMeshTasksNV;
VkCmdDrawMeshTasksIndirectNV vkCmdDrawMeshTasksIndirectNV;
VkCmdDrawMeshTasksIndirectCountNV vkCmdDrawMeshTasksIndirectCountNV;
VkCompileDeferredNV vkCompileDeferredNV;
VkCreateAccelerationStructureNV vkCreateAccelerationStructureNV;
VkDestroyAccelerationStructureKHR vkDestroyAccelerationStructureKHR;
VkDestroyAccelerationStructureNV vkDestroyAccelerationStructureNV;
VkGetAccelerationStructureMemoryRequirementsNV vkGetAccelerationStructureMemoryRequirementsNV;
VkBindAccelerationStructureMemoryNV vkBindAccelerationStructureMemoryNV;
VkCmdCopyAccelerationStructureNV vkCmdCopyAccelerationStructureNV;
VkCmdCopyAccelerationStructureKHR vkCmdCopyAccelerationStructureKHR;
VkCopyAccelerationStructureKHR vkCopyAccelerationStructureKHR;
VkCmdCopyAccelerationStructureToMemoryKHR vkCmdCopyAccelerationStructureToMemoryKHR;
VkCopyAccelerationStructureToMemoryKHR vkCopyAccelerationStructureToMemoryKHR;
VkCmdCopyMemoryToAccelerationStructureKHR vkCmdCopyMemoryToAccelerationStructureKHR;
VkCopyMemoryToAccelerationStructureKHR vkCopyMemoryToAccelerationStructureKHR;
VkCmdWriteAccelerationStructuresPropertiesKHR vkCmdWriteAccelerationStructuresPropertiesKHR;
VkCmdWriteAccelerationStructuresPropertiesNV vkCmdWriteAccelerationStructuresPropertiesNV;
VkCmdBuildAccelerationStructureNV vkCmdBuildAccelerationStructureNV;
VkWriteAccelerationStructuresPropertiesKHR vkWriteAccelerationStructuresPropertiesKHR;
VkCmdTraceRaysKHR vkCmdTraceRaysKHR;
VkCmdTraceRaysNV vkCmdTraceRaysNV;
VkGetRayTracingShaderGroupHandlesKHR vkGetRayTracingShaderGroupHandlesKHR;
VkGetRayTracingShaderGroupHandlesNV vkGetRayTracingShaderGroupHandlesNV;
VkGetRayTracingCaptureReplayShaderGroupHandlesKHR vkGetRayTracingCaptureReplayShaderGroupHandlesKHR;
VkGetAccelerationStructureHandleNV vkGetAccelerationStructureHandleNV;
VkCreateRayTracingPipelinesNV vkCreateRayTracingPipelinesNV;
VkCreateRayTracingPipelinesKHR vkCreateRayTracingPipelinesKHR;
VkGetPhysicalDeviceCooperativeMatrixPropertiesNV vkGetPhysicalDeviceCooperativeMatrixPropertiesNV;
VkCmdTraceRaysIndirectKHR vkCmdTraceRaysIndirectKHR;
VkGetDeviceAccelerationStructureCompatibilityKHR vkGetDeviceAccelerationStructureCompatibilityKHR;
VkGetRayTracingShaderGroupStackSizeKHR vkGetRayTracingShaderGroupStackSizeKHR;
VkCmdSetRayTracingPipelineStackSizeKHR vkCmdSetRayTracingPipelineStackSizeKHR;
VkGetImageViewHandleNVX vkGetImageViewHandleNVX;
VkGetImageViewAddressNVX vkGetImageViewAddressNVX;
VkGetPhysicalDeviceSurfacePresentModes2EXT vkGetPhysicalDeviceSurfacePresentModes2EXT;
VkGetDeviceGroupSurfacePresentModes2EXT vkGetDeviceGroupSurfacePresentModes2EXT;
VkAcquireFullScreenExclusiveModeEXT vkAcquireFullScreenExclusiveModeEXT;
VkReleaseFullScreenExclusiveModeEXT vkReleaseFullScreenExclusiveModeEXT;
VkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR vkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR;
VkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR vkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR;
VkAcquireProfilingLockKHR vkAcquireProfilingLockKHR;
VkReleaseProfilingLockKHR vkReleaseProfilingLockKHR;
VkGetImageDrmFormatModifierPropertiesEXT vkGetImageDrmFormatModifierPropertiesEXT;
VkGetBufferOpaqueCaptureAddress vkGetBufferOpaqueCaptureAddress;
VkGetBufferOpaqueCaptureAddressKHR vkGetBufferOpaqueCaptureAddressKHR;
VkGetBufferDeviceAddress vkGetBufferDeviceAddress;
VkGetBufferDeviceAddressKHR vkGetBufferDeviceAddressKHR;
VkGetBufferDeviceAddressEXT vkGetBufferDeviceAddressEXT;
VkCreateHeadlessSurfaceEXT vkCreateHeadlessSurfaceEXT;
VkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV vkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV;
VkInitializePerformanceApiINTEL vkInitializePerformanceApiINTEL;
VkUninitializePerformanceApiINTEL vkUninitializePerformanceApiINTEL;
VkCmdSetPerformanceMarkerINTEL vkCmdSetPerformanceMarkerINTEL;
VkCmdSetPerformanceStreamMarkerINTEL vkCmdSetPerformanceStreamMarkerINTEL;
VkCmdSetPerformanceOverrideINTEL vkCmdSetPerformanceOverrideINTEL;
VkAcquirePerformanceConfigurationINTEL vkAcquirePerformanceConfigurationINTEL;
VkReleasePerformanceConfigurationINTEL vkReleasePerformanceConfigurationINTEL;
VkQueueSetPerformanceConfigurationINTEL vkQueueSetPerformanceConfigurationINTEL;
VkGetPerformanceParameterINTEL vkGetPerformanceParameterINTEL;
VkGetDeviceMemoryOpaqueCaptureAddress vkGetDeviceMemoryOpaqueCaptureAddress;
VkGetDeviceMemoryOpaqueCaptureAddressKHR vkGetDeviceMemoryOpaqueCaptureAddressKHR;
VkGetPipelineExecutablePropertiesKHR vkGetPipelineExecutablePropertiesKHR;
VkGetPipelineExecutableStatisticsKHR vkGetPipelineExecutableStatisticsKHR;
VkGetPipelineExecutableInternalRepresentationsKHR vkGetPipelineExecutableInternalRepresentationsKHR;
VkCmdSetLineStippleEXT vkCmdSetLineStippleEXT;
VkGetPhysicalDeviceToolPropertiesEXT vkGetPhysicalDeviceToolPropertiesEXT;
VkCreateAccelerationStructureKHR vkCreateAccelerationStructureKHR;
VkCmdBuildAccelerationStructuresKHR vkCmdBuildAccelerationStructuresKHR;
VkCmdBuildAccelerationStructuresIndirectKHR vkCmdBuildAccelerationStructuresIndirectKHR;
VkBuildAccelerationStructuresKHR vkBuildAccelerationStructuresKHR;
VkGetAccelerationStructureDeviceAddressKHR vkGetAccelerationStructureDeviceAddressKHR;
VkCreateDeferredOperationKHR vkCreateDeferredOperationKHR;
VkDestroyDeferredOperationKHR vkDestroyDeferredOperationKHR;
VkGetDeferredOperationMaxConcurrencyKHR vkGetDeferredOperationMaxConcurrencyKHR;
VkGetDeferredOperationResultKHR vkGetDeferredOperationResultKHR;
VkDeferredOperationJoinKHR vkDeferredOperationJoinKHR;
VkCmdSetCullModeEXT vkCmdSetCullModeEXT;
VkCmdSetFrontFaceEXT vkCmdSetFrontFaceEXT;
VkCmdSetPrimitiveTopologyEXT vkCmdSetPrimitiveTopologyEXT;
VkCmdSetViewportWithCountEXT vkCmdSetViewportWithCountEXT;
VkCmdSetScissorWithCountEXT vkCmdSetScissorWithCountEXT;
VkCmdBindVertexBuffers2EXT vkCmdBindVertexBuffers2EXT;
VkCmdSetDepthTestEnableEXT vkCmdSetDepthTestEnableEXT;
VkCmdSetDepthWriteEnableEXT vkCmdSetDepthWriteEnableEXT;
VkCmdSetDepthCompareOpEXT vkCmdSetDepthCompareOpEXT;
VkCmdSetDepthBoundsTestEnableEXT vkCmdSetDepthBoundsTestEnableEXT;
VkCmdSetStencilTestEnableEXT vkCmdSetStencilTestEnableEXT;
VkCmdSetStencilOpEXT vkCmdSetStencilOpEXT;
VkCreatePrivateDataSlotEXT vkCreatePrivateDataSlotEXT;
VkDestroyPrivateDataSlotEXT vkDestroyPrivateDataSlotEXT;
VkSetPrivateDataEXT vkSetPrivateDataEXT;
VkGetPrivateDataEXT vkGetPrivateDataEXT;
VkCmdCopyBuffer2KHR vkCmdCopyBuffer2KHR;
VkCmdCopyImage2KHR vkCmdCopyImage2KHR;
VkCmdBlitImage2KHR vkCmdBlitImage2KHR;
VkCmdCopyBufferToImage2KHR vkCmdCopyBufferToImage2KHR;
VkCmdCopyImageToBuffer2KHR vkCmdCopyImageToBuffer2KHR;
VkCmdResolveImage2KHR vkCmdResolveImage2KHR;
VkCmdSetFragmentShadingRateKHR vkCmdSetFragmentShadingRateKHR;
VkGetPhysicalDeviceFragmentShadingRatesKHR vkGetPhysicalDeviceFragmentShadingRatesKHR;
VkCmdSetFragmentShadingRateEnumNV vkCmdSetFragmentShadingRateEnumNV;
VkGetAccelerationStructureBuildSizesKHR vkGetAccelerationStructureBuildSizesKHR;
VkCmdSetEvent2KHR vkCmdSetEvent2KHR;
VkCmdResetEvent2KHR vkCmdResetEvent2KHR;
VkCmdWaitEvents2KHR vkCmdWaitEvents2KHR;
VkCmdPipelineBarrier2KHR vkCmdPipelineBarrier2KHR;
VkQueueSubmit2KHR vkQueueSubmit2KHR;
VkCmdWriteTimestamp2KHR vkCmdWriteTimestamp2KHR;
VkCmdWriteBufferMarker2AMD vkCmdWriteBufferMarker2AMD;
VkGetQueueCheckpointData2NV vkGetQueueCheckpointData2NV;

void initVulkan() {
  var lib = loadLibrary();

  vkCreateInstance = tryCall(() => lib.lookupFunction<VkCreateInstanceNative, VkCreateInstance>('vkCreateInstance'));
  vkDestroyInstance = tryCall(() => lib.lookupFunction<VkDestroyInstanceNative, VkDestroyInstance>('vkDestroyInstance'));
  vkEnumeratePhysicalDevices = tryCall(() => lib.lookupFunction<VkEnumeratePhysicalDevicesNative, VkEnumeratePhysicalDevices>('vkEnumeratePhysicalDevices'));
  vkGetDeviceProcAddr = tryCall(() => lib.lookupFunction<VkGetDeviceProcAddrNative, VkGetDeviceProcAddr>('vkGetDeviceProcAddr'));
  vkGetInstanceProcAddr = tryCall(() => lib.lookupFunction<VkGetInstanceProcAddrNative, VkGetInstanceProcAddr>('vkGetInstanceProcAddr'));
  vkGetPhysicalDeviceProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDevicePropertiesNative, VkGetPhysicalDeviceProperties>('vkGetPhysicalDeviceProperties'));
  vkGetPhysicalDeviceQueueFamilyProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceQueueFamilyPropertiesNative, VkGetPhysicalDeviceQueueFamilyProperties>('vkGetPhysicalDeviceQueueFamilyProperties'));
  vkGetPhysicalDeviceMemoryProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceMemoryPropertiesNative, VkGetPhysicalDeviceMemoryProperties>('vkGetPhysicalDeviceMemoryProperties'));
  vkGetPhysicalDeviceFeatures = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFeaturesNative, VkGetPhysicalDeviceFeatures>('vkGetPhysicalDeviceFeatures'));
  vkGetPhysicalDeviceFormatProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFormatPropertiesNative, VkGetPhysicalDeviceFormatProperties>('vkGetPhysicalDeviceFormatProperties'));
  vkGetPhysicalDeviceImageFormatProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceImageFormatPropertiesNative, VkGetPhysicalDeviceImageFormatProperties>('vkGetPhysicalDeviceImageFormatProperties'));
  vkCreateDevice = tryCall(() => lib.lookupFunction<VkCreateDeviceNative, VkCreateDevice>('vkCreateDevice'));
  vkDestroyDevice = tryCall(() => lib.lookupFunction<VkDestroyDeviceNative, VkDestroyDevice>('vkDestroyDevice'));
  vkEnumerateInstanceVersion = tryCall(() => lib.lookupFunction<VkEnumerateInstanceVersionNative, VkEnumerateInstanceVersion>('vkEnumerateInstanceVersion'));
  vkEnumerateInstanceLayerProperties = tryCall(() => lib.lookupFunction<VkEnumerateInstanceLayerPropertiesNative, VkEnumerateInstanceLayerProperties>('vkEnumerateInstanceLayerProperties'));
  vkEnumerateInstanceExtensionProperties = tryCall(() => lib.lookupFunction<VkEnumerateInstanceExtensionPropertiesNative, VkEnumerateInstanceExtensionProperties>('vkEnumerateInstanceExtensionProperties'));
  vkEnumerateDeviceLayerProperties = tryCall(() => lib.lookupFunction<VkEnumerateDeviceLayerPropertiesNative, VkEnumerateDeviceLayerProperties>('vkEnumerateDeviceLayerProperties'));
  vkEnumerateDeviceExtensionProperties = tryCall(() => lib.lookupFunction<VkEnumerateDeviceExtensionPropertiesNative, VkEnumerateDeviceExtensionProperties>('vkEnumerateDeviceExtensionProperties'));
  vkGetDeviceQueue = tryCall(() => lib.lookupFunction<VkGetDeviceQueueNative, VkGetDeviceQueue>('vkGetDeviceQueue'));
  vkQueueSubmit = tryCall(() => lib.lookupFunction<VkQueueSubmitNative, VkQueueSubmit>('vkQueueSubmit'));
  vkQueueWaitIdle = tryCall(() => lib.lookupFunction<VkQueueWaitIdleNative, VkQueueWaitIdle>('vkQueueWaitIdle'));
  vkDeviceWaitIdle = tryCall(() => lib.lookupFunction<VkDeviceWaitIdleNative, VkDeviceWaitIdle>('vkDeviceWaitIdle'));
  vkAllocateMemory = tryCall(() => lib.lookupFunction<VkAllocateMemoryNative, VkAllocateMemory>('vkAllocateMemory'));
  vkFreeMemory = tryCall(() => lib.lookupFunction<VkFreeMemoryNative, VkFreeMemory>('vkFreeMemory'));
  vkMapMemory = tryCall(() => lib.lookupFunction<VkMapMemoryNative, VkMapMemory>('vkMapMemory'));
  vkUnmapMemory = tryCall(() => lib.lookupFunction<VkUnmapMemoryNative, VkUnmapMemory>('vkUnmapMemory'));
  vkFlushMappedMemoryRanges = tryCall(() => lib.lookupFunction<VkFlushMappedMemoryRangesNative, VkFlushMappedMemoryRanges>('vkFlushMappedMemoryRanges'));
  vkInvalidateMappedMemoryRanges = tryCall(() => lib.lookupFunction<VkInvalidateMappedMemoryRangesNative, VkInvalidateMappedMemoryRanges>('vkInvalidateMappedMemoryRanges'));
  vkGetDeviceMemoryCommitment = tryCall(() => lib.lookupFunction<VkGetDeviceMemoryCommitmentNative, VkGetDeviceMemoryCommitment>('vkGetDeviceMemoryCommitment'));
  vkGetBufferMemoryRequirements = tryCall(() => lib.lookupFunction<VkGetBufferMemoryRequirementsNative, VkGetBufferMemoryRequirements>('vkGetBufferMemoryRequirements'));
  vkBindBufferMemory = tryCall(() => lib.lookupFunction<VkBindBufferMemoryNative, VkBindBufferMemory>('vkBindBufferMemory'));
  vkGetImageMemoryRequirements = tryCall(() => lib.lookupFunction<VkGetImageMemoryRequirementsNative, VkGetImageMemoryRequirements>('vkGetImageMemoryRequirements'));
  vkBindImageMemory = tryCall(() => lib.lookupFunction<VkBindImageMemoryNative, VkBindImageMemory>('vkBindImageMemory'));
  vkGetImageSparseMemoryRequirements = tryCall(() => lib.lookupFunction<VkGetImageSparseMemoryRequirementsNative, VkGetImageSparseMemoryRequirements>('vkGetImageSparseMemoryRequirements'));
  vkGetPhysicalDeviceSparseImageFormatProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSparseImageFormatPropertiesNative, VkGetPhysicalDeviceSparseImageFormatProperties>('vkGetPhysicalDeviceSparseImageFormatProperties'));
  vkQueueBindSparse = tryCall(() => lib.lookupFunction<VkQueueBindSparseNative, VkQueueBindSparse>('vkQueueBindSparse'));
  vkCreateFence = tryCall(() => lib.lookupFunction<VkCreateFenceNative, VkCreateFence>('vkCreateFence'));
  vkDestroyFence = tryCall(() => lib.lookupFunction<VkDestroyFenceNative, VkDestroyFence>('vkDestroyFence'));
  vkResetFences = tryCall(() => lib.lookupFunction<VkResetFencesNative, VkResetFences>('vkResetFences'));
  vkGetFenceStatus = tryCall(() => lib.lookupFunction<VkGetFenceStatusNative, VkGetFenceStatus>('vkGetFenceStatus'));
  vkWaitForFences = tryCall(() => lib.lookupFunction<VkWaitForFencesNative, VkWaitForFences>('vkWaitForFences'));
  vkCreateSemaphore = tryCall(() => lib.lookupFunction<VkCreateSemaphoreNative, VkCreateSemaphore>('vkCreateSemaphore'));
  vkDestroySemaphore = tryCall(() => lib.lookupFunction<VkDestroySemaphoreNative, VkDestroySemaphore>('vkDestroySemaphore'));
  vkCreateEvent = tryCall(() => lib.lookupFunction<VkCreateEventNative, VkCreateEvent>('vkCreateEvent'));
  vkDestroyEvent = tryCall(() => lib.lookupFunction<VkDestroyEventNative, VkDestroyEvent>('vkDestroyEvent'));
  vkGetEventStatus = tryCall(() => lib.lookupFunction<VkGetEventStatusNative, VkGetEventStatus>('vkGetEventStatus'));
  vkSetEvent = tryCall(() => lib.lookupFunction<VkSetEventNative, VkSetEvent>('vkSetEvent'));
  vkResetEvent = tryCall(() => lib.lookupFunction<VkResetEventNative, VkResetEvent>('vkResetEvent'));
  vkCreateQueryPool = tryCall(() => lib.lookupFunction<VkCreateQueryPoolNative, VkCreateQueryPool>('vkCreateQueryPool'));
  vkDestroyQueryPool = tryCall(() => lib.lookupFunction<VkDestroyQueryPoolNative, VkDestroyQueryPool>('vkDestroyQueryPool'));
  vkGetQueryPoolResults = tryCall(() => lib.lookupFunction<VkGetQueryPoolResultsNative, VkGetQueryPoolResults>('vkGetQueryPoolResults'));
  vkResetQueryPool = tryCall(() => lib.lookupFunction<VkResetQueryPoolNative, VkResetQueryPool>('vkResetQueryPool'));
  vkResetQueryPoolEXT = tryCall(() => lib.lookupFunction<VkResetQueryPoolEXTNative, VkResetQueryPoolEXT>('vkResetQueryPoolEXT'));
  vkCreateBuffer = tryCall(() => lib.lookupFunction<VkCreateBufferNative, VkCreateBuffer>('vkCreateBuffer'));
  vkDestroyBuffer = tryCall(() => lib.lookupFunction<VkDestroyBufferNative, VkDestroyBuffer>('vkDestroyBuffer'));
  vkCreateBufferView = tryCall(() => lib.lookupFunction<VkCreateBufferViewNative, VkCreateBufferView>('vkCreateBufferView'));
  vkDestroyBufferView = tryCall(() => lib.lookupFunction<VkDestroyBufferViewNative, VkDestroyBufferView>('vkDestroyBufferView'));
  vkCreateImage = tryCall(() => lib.lookupFunction<VkCreateImageNative, VkCreateImage>('vkCreateImage'));
  vkDestroyImage = tryCall(() => lib.lookupFunction<VkDestroyImageNative, VkDestroyImage>('vkDestroyImage'));
  vkGetImageSubresourceLayout = tryCall(() => lib.lookupFunction<VkGetImageSubresourceLayoutNative, VkGetImageSubresourceLayout>('vkGetImageSubresourceLayout'));
  vkCreateImageView = tryCall(() => lib.lookupFunction<VkCreateImageViewNative, VkCreateImageView>('vkCreateImageView'));
  vkDestroyImageView = tryCall(() => lib.lookupFunction<VkDestroyImageViewNative, VkDestroyImageView>('vkDestroyImageView'));
  vkCreateShaderModule = tryCall(() => lib.lookupFunction<VkCreateShaderModuleNative, VkCreateShaderModule>('vkCreateShaderModule'));
  vkDestroyShaderModule = tryCall(() => lib.lookupFunction<VkDestroyShaderModuleNative, VkDestroyShaderModule>('vkDestroyShaderModule'));
  vkCreatePipelineCache = tryCall(() => lib.lookupFunction<VkCreatePipelineCacheNative, VkCreatePipelineCache>('vkCreatePipelineCache'));
  vkDestroyPipelineCache = tryCall(() => lib.lookupFunction<VkDestroyPipelineCacheNative, VkDestroyPipelineCache>('vkDestroyPipelineCache'));
  vkGetPipelineCacheData = tryCall(() => lib.lookupFunction<VkGetPipelineCacheDataNative, VkGetPipelineCacheData>('vkGetPipelineCacheData'));
  vkMergePipelineCaches = tryCall(() => lib.lookupFunction<VkMergePipelineCachesNative, VkMergePipelineCaches>('vkMergePipelineCaches'));
  vkCreateGraphicsPipelines = tryCall(() => lib.lookupFunction<VkCreateGraphicsPipelinesNative, VkCreateGraphicsPipelines>('vkCreateGraphicsPipelines'));
  vkCreateComputePipelines = tryCall(() => lib.lookupFunction<VkCreateComputePipelinesNative, VkCreateComputePipelines>('vkCreateComputePipelines'));
  vkDestroyPipeline = tryCall(() => lib.lookupFunction<VkDestroyPipelineNative, VkDestroyPipeline>('vkDestroyPipeline'));
  vkCreatePipelineLayout = tryCall(() => lib.lookupFunction<VkCreatePipelineLayoutNative, VkCreatePipelineLayout>('vkCreatePipelineLayout'));
  vkDestroyPipelineLayout = tryCall(() => lib.lookupFunction<VkDestroyPipelineLayoutNative, VkDestroyPipelineLayout>('vkDestroyPipelineLayout'));
  vkCreateSampler = tryCall(() => lib.lookupFunction<VkCreateSamplerNative, VkCreateSampler>('vkCreateSampler'));
  vkDestroySampler = tryCall(() => lib.lookupFunction<VkDestroySamplerNative, VkDestroySampler>('vkDestroySampler'));
  vkCreateDescriptorSetLayout = tryCall(() => lib.lookupFunction<VkCreateDescriptorSetLayoutNative, VkCreateDescriptorSetLayout>('vkCreateDescriptorSetLayout'));
  vkDestroyDescriptorSetLayout = tryCall(() => lib.lookupFunction<VkDestroyDescriptorSetLayoutNative, VkDestroyDescriptorSetLayout>('vkDestroyDescriptorSetLayout'));
  vkCreateDescriptorPool = tryCall(() => lib.lookupFunction<VkCreateDescriptorPoolNative, VkCreateDescriptorPool>('vkCreateDescriptorPool'));
  vkDestroyDescriptorPool = tryCall(() => lib.lookupFunction<VkDestroyDescriptorPoolNative, VkDestroyDescriptorPool>('vkDestroyDescriptorPool'));
  vkResetDescriptorPool = tryCall(() => lib.lookupFunction<VkResetDescriptorPoolNative, VkResetDescriptorPool>('vkResetDescriptorPool'));
  vkAllocateDescriptorSets = tryCall(() => lib.lookupFunction<VkAllocateDescriptorSetsNative, VkAllocateDescriptorSets>('vkAllocateDescriptorSets'));
  vkFreeDescriptorSets = tryCall(() => lib.lookupFunction<VkFreeDescriptorSetsNative, VkFreeDescriptorSets>('vkFreeDescriptorSets'));
  vkUpdateDescriptorSets = tryCall(() => lib.lookupFunction<VkUpdateDescriptorSetsNative, VkUpdateDescriptorSets>('vkUpdateDescriptorSets'));
  vkCreateFramebuffer = tryCall(() => lib.lookupFunction<VkCreateFramebufferNative, VkCreateFramebuffer>('vkCreateFramebuffer'));
  vkDestroyFramebuffer = tryCall(() => lib.lookupFunction<VkDestroyFramebufferNative, VkDestroyFramebuffer>('vkDestroyFramebuffer'));
  vkCreateRenderPass = tryCall(() => lib.lookupFunction<VkCreateRenderPassNative, VkCreateRenderPass>('vkCreateRenderPass'));
  vkDestroyRenderPass = tryCall(() => lib.lookupFunction<VkDestroyRenderPassNative, VkDestroyRenderPass>('vkDestroyRenderPass'));
  vkGetRenderAreaGranularity = tryCall(() => lib.lookupFunction<VkGetRenderAreaGranularityNative, VkGetRenderAreaGranularity>('vkGetRenderAreaGranularity'));
  vkCreateCommandPool = tryCall(() => lib.lookupFunction<VkCreateCommandPoolNative, VkCreateCommandPool>('vkCreateCommandPool'));
  vkDestroyCommandPool = tryCall(() => lib.lookupFunction<VkDestroyCommandPoolNative, VkDestroyCommandPool>('vkDestroyCommandPool'));
  vkResetCommandPool = tryCall(() => lib.lookupFunction<VkResetCommandPoolNative, VkResetCommandPool>('vkResetCommandPool'));
  vkAllocateCommandBuffers = tryCall(() => lib.lookupFunction<VkAllocateCommandBuffersNative, VkAllocateCommandBuffers>('vkAllocateCommandBuffers'));
  vkFreeCommandBuffers = tryCall(() => lib.lookupFunction<VkFreeCommandBuffersNative, VkFreeCommandBuffers>('vkFreeCommandBuffers'));
  vkBeginCommandBuffer = tryCall(() => lib.lookupFunction<VkBeginCommandBufferNative, VkBeginCommandBuffer>('vkBeginCommandBuffer'));
  vkEndCommandBuffer = tryCall(() => lib.lookupFunction<VkEndCommandBufferNative, VkEndCommandBuffer>('vkEndCommandBuffer'));
  vkResetCommandBuffer = tryCall(() => lib.lookupFunction<VkResetCommandBufferNative, VkResetCommandBuffer>('vkResetCommandBuffer'));
  vkCmdBindPipeline = tryCall(() => lib.lookupFunction<VkCmdBindPipelineNative, VkCmdBindPipeline>('vkCmdBindPipeline'));
  vkCmdSetViewport = tryCall(() => lib.lookupFunction<VkCmdSetViewportNative, VkCmdSetViewport>('vkCmdSetViewport'));
  vkCmdSetScissor = tryCall(() => lib.lookupFunction<VkCmdSetScissorNative, VkCmdSetScissor>('vkCmdSetScissor'));
  vkCmdSetLineWidth = tryCall(() => lib.lookupFunction<VkCmdSetLineWidthNative, VkCmdSetLineWidth>('vkCmdSetLineWidth'));
  vkCmdSetDepthBias = tryCall(() => lib.lookupFunction<VkCmdSetDepthBiasNative, VkCmdSetDepthBias>('vkCmdSetDepthBias'));
  vkCmdSetBlendConstants = tryCall(() => lib.lookupFunction<VkCmdSetBlendConstantsNative, VkCmdSetBlendConstants>('vkCmdSetBlendConstants'));
  vkCmdSetDepthBounds = tryCall(() => lib.lookupFunction<VkCmdSetDepthBoundsNative, VkCmdSetDepthBounds>('vkCmdSetDepthBounds'));
  vkCmdSetStencilCompareMask = tryCall(() => lib.lookupFunction<VkCmdSetStencilCompareMaskNative, VkCmdSetStencilCompareMask>('vkCmdSetStencilCompareMask'));
  vkCmdSetStencilWriteMask = tryCall(() => lib.lookupFunction<VkCmdSetStencilWriteMaskNative, VkCmdSetStencilWriteMask>('vkCmdSetStencilWriteMask'));
  vkCmdSetStencilReference = tryCall(() => lib.lookupFunction<VkCmdSetStencilReferenceNative, VkCmdSetStencilReference>('vkCmdSetStencilReference'));
  vkCmdBindDescriptorSets = tryCall(() => lib.lookupFunction<VkCmdBindDescriptorSetsNative, VkCmdBindDescriptorSets>('vkCmdBindDescriptorSets'));
  vkCmdBindIndexBuffer = tryCall(() => lib.lookupFunction<VkCmdBindIndexBufferNative, VkCmdBindIndexBuffer>('vkCmdBindIndexBuffer'));
  vkCmdBindVertexBuffers = tryCall(() => lib.lookupFunction<VkCmdBindVertexBuffersNative, VkCmdBindVertexBuffers>('vkCmdBindVertexBuffers'));
  vkCmdDraw = tryCall(() => lib.lookupFunction<VkCmdDrawNative, VkCmdDraw>('vkCmdDraw'));
  vkCmdDrawIndexed = tryCall(() => lib.lookupFunction<VkCmdDrawIndexedNative, VkCmdDrawIndexed>('vkCmdDrawIndexed'));
  vkCmdDrawIndirect = tryCall(() => lib.lookupFunction<VkCmdDrawIndirectNative, VkCmdDrawIndirect>('vkCmdDrawIndirect'));
  vkCmdDrawIndexedIndirect = tryCall(() => lib.lookupFunction<VkCmdDrawIndexedIndirectNative, VkCmdDrawIndexedIndirect>('vkCmdDrawIndexedIndirect'));
  vkCmdDispatch = tryCall(() => lib.lookupFunction<VkCmdDispatchNative, VkCmdDispatch>('vkCmdDispatch'));
  vkCmdDispatchIndirect = tryCall(() => lib.lookupFunction<VkCmdDispatchIndirectNative, VkCmdDispatchIndirect>('vkCmdDispatchIndirect'));
  vkCmdCopyBuffer = tryCall(() => lib.lookupFunction<VkCmdCopyBufferNative, VkCmdCopyBuffer>('vkCmdCopyBuffer'));
  vkCmdCopyImage = tryCall(() => lib.lookupFunction<VkCmdCopyImageNative, VkCmdCopyImage>('vkCmdCopyImage'));
  vkCmdBlitImage = tryCall(() => lib.lookupFunction<VkCmdBlitImageNative, VkCmdBlitImage>('vkCmdBlitImage'));
  vkCmdCopyBufferToImage = tryCall(() => lib.lookupFunction<VkCmdCopyBufferToImageNative, VkCmdCopyBufferToImage>('vkCmdCopyBufferToImage'));
  vkCmdCopyImageToBuffer = tryCall(() => lib.lookupFunction<VkCmdCopyImageToBufferNative, VkCmdCopyImageToBuffer>('vkCmdCopyImageToBuffer'));
  vkCmdUpdateBuffer = tryCall(() => lib.lookupFunction<VkCmdUpdateBufferNative, VkCmdUpdateBuffer>('vkCmdUpdateBuffer'));
  vkCmdFillBuffer = tryCall(() => lib.lookupFunction<VkCmdFillBufferNative, VkCmdFillBuffer>('vkCmdFillBuffer'));
  vkCmdClearColorImage = tryCall(() => lib.lookupFunction<VkCmdClearColorImageNative, VkCmdClearColorImage>('vkCmdClearColorImage'));
  vkCmdClearDepthStencilImage = tryCall(() => lib.lookupFunction<VkCmdClearDepthStencilImageNative, VkCmdClearDepthStencilImage>('vkCmdClearDepthStencilImage'));
  vkCmdClearAttachments = tryCall(() => lib.lookupFunction<VkCmdClearAttachmentsNative, VkCmdClearAttachments>('vkCmdClearAttachments'));
  vkCmdResolveImage = tryCall(() => lib.lookupFunction<VkCmdResolveImageNative, VkCmdResolveImage>('vkCmdResolveImage'));
  vkCmdSetEvent = tryCall(() => lib.lookupFunction<VkCmdSetEventNative, VkCmdSetEvent>('vkCmdSetEvent'));
  vkCmdResetEvent = tryCall(() => lib.lookupFunction<VkCmdResetEventNative, VkCmdResetEvent>('vkCmdResetEvent'));
  vkCmdWaitEvents = tryCall(() => lib.lookupFunction<VkCmdWaitEventsNative, VkCmdWaitEvents>('vkCmdWaitEvents'));
  vkCmdPipelineBarrier = tryCall(() => lib.lookupFunction<VkCmdPipelineBarrierNative, VkCmdPipelineBarrier>('vkCmdPipelineBarrier'));
  vkCmdBeginQuery = tryCall(() => lib.lookupFunction<VkCmdBeginQueryNative, VkCmdBeginQuery>('vkCmdBeginQuery'));
  vkCmdEndQuery = tryCall(() => lib.lookupFunction<VkCmdEndQueryNative, VkCmdEndQuery>('vkCmdEndQuery'));
  vkCmdBeginConditionalRenderingEXT = tryCall(() => lib.lookupFunction<VkCmdBeginConditionalRenderingEXTNative, VkCmdBeginConditionalRenderingEXT>('vkCmdBeginConditionalRenderingEXT'));
  vkCmdEndConditionalRenderingEXT = tryCall(() => lib.lookupFunction<VkCmdEndConditionalRenderingEXTNative, VkCmdEndConditionalRenderingEXT>('vkCmdEndConditionalRenderingEXT'));
  vkCmdResetQueryPool = tryCall(() => lib.lookupFunction<VkCmdResetQueryPoolNative, VkCmdResetQueryPool>('vkCmdResetQueryPool'));
  vkCmdWriteTimestamp = tryCall(() => lib.lookupFunction<VkCmdWriteTimestampNative, VkCmdWriteTimestamp>('vkCmdWriteTimestamp'));
  vkCmdCopyQueryPoolResults = tryCall(() => lib.lookupFunction<VkCmdCopyQueryPoolResultsNative, VkCmdCopyQueryPoolResults>('vkCmdCopyQueryPoolResults'));
  vkCmdPushConstants = tryCall(() => lib.lookupFunction<VkCmdPushConstantsNative, VkCmdPushConstants>('vkCmdPushConstants'));
  vkCmdBeginRenderPass = tryCall(() => lib.lookupFunction<VkCmdBeginRenderPassNative, VkCmdBeginRenderPass>('vkCmdBeginRenderPass'));
  vkCmdNextSubpass = tryCall(() => lib.lookupFunction<VkCmdNextSubpassNative, VkCmdNextSubpass>('vkCmdNextSubpass'));
  vkCmdEndRenderPass = tryCall(() => lib.lookupFunction<VkCmdEndRenderPassNative, VkCmdEndRenderPass>('vkCmdEndRenderPass'));
  vkCmdExecuteCommands = tryCall(() => lib.lookupFunction<VkCmdExecuteCommandsNative, VkCmdExecuteCommands>('vkCmdExecuteCommands'));
  vkCreateAndroidSurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateAndroidSurfaceKHRNative, VkCreateAndroidSurfaceKHR>('vkCreateAndroidSurfaceKHR'));
  vkGetPhysicalDeviceDisplayPropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceDisplayPropertiesKHRNative, VkGetPhysicalDeviceDisplayPropertiesKHR>('vkGetPhysicalDeviceDisplayPropertiesKHR'));
  vkGetPhysicalDeviceDisplayPlanePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceDisplayPlanePropertiesKHRNative, VkGetPhysicalDeviceDisplayPlanePropertiesKHR>('vkGetPhysicalDeviceDisplayPlanePropertiesKHR'));
  vkGetDisplayPlaneSupportedDisplaysKHR = tryCall(() => lib.lookupFunction<VkGetDisplayPlaneSupportedDisplaysKHRNative, VkGetDisplayPlaneSupportedDisplaysKHR>('vkGetDisplayPlaneSupportedDisplaysKHR'));
  vkGetDisplayModePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetDisplayModePropertiesKHRNative, VkGetDisplayModePropertiesKHR>('vkGetDisplayModePropertiesKHR'));
  vkCreateDisplayModeKHR = tryCall(() => lib.lookupFunction<VkCreateDisplayModeKHRNative, VkCreateDisplayModeKHR>('vkCreateDisplayModeKHR'));
  vkGetDisplayPlaneCapabilitiesKHR = tryCall(() => lib.lookupFunction<VkGetDisplayPlaneCapabilitiesKHRNative, VkGetDisplayPlaneCapabilitiesKHR>('vkGetDisplayPlaneCapabilitiesKHR'));
  vkCreateDisplayPlaneSurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateDisplayPlaneSurfaceKHRNative, VkCreateDisplayPlaneSurfaceKHR>('vkCreateDisplayPlaneSurfaceKHR'));
  vkCreateSharedSwapchainsKHR = tryCall(() => lib.lookupFunction<VkCreateSharedSwapchainsKHRNative, VkCreateSharedSwapchainsKHR>('vkCreateSharedSwapchainsKHR'));
  vkDestroySurfaceKHR = tryCall(() => lib.lookupFunction<VkDestroySurfaceKHRNative, VkDestroySurfaceKHR>('vkDestroySurfaceKHR'));
  vkGetPhysicalDeviceSurfaceSupportKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceSupportKHRNative, VkGetPhysicalDeviceSurfaceSupportKHR>('vkGetPhysicalDeviceSurfaceSupportKHR'));
  vkGetPhysicalDeviceSurfaceCapabilitiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceCapabilitiesKHRNative, VkGetPhysicalDeviceSurfaceCapabilitiesKHR>('vkGetPhysicalDeviceSurfaceCapabilitiesKHR'));
  vkGetPhysicalDeviceSurfaceFormatsKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceFormatsKHRNative, VkGetPhysicalDeviceSurfaceFormatsKHR>('vkGetPhysicalDeviceSurfaceFormatsKHR'));
  vkGetPhysicalDeviceSurfacePresentModesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfacePresentModesKHRNative, VkGetPhysicalDeviceSurfacePresentModesKHR>('vkGetPhysicalDeviceSurfacePresentModesKHR'));
  vkCreateSwapchainKHR = tryCall(() => lib.lookupFunction<VkCreateSwapchainKHRNative, VkCreateSwapchainKHR>('vkCreateSwapchainKHR'));
  vkDestroySwapchainKHR = tryCall(() => lib.lookupFunction<VkDestroySwapchainKHRNative, VkDestroySwapchainKHR>('vkDestroySwapchainKHR'));
  vkGetSwapchainImagesKHR = tryCall(() => lib.lookupFunction<VkGetSwapchainImagesKHRNative, VkGetSwapchainImagesKHR>('vkGetSwapchainImagesKHR'));
  vkAcquireNextImageKHR = tryCall(() => lib.lookupFunction<VkAcquireNextImageKHRNative, VkAcquireNextImageKHR>('vkAcquireNextImageKHR'));
  vkQueuePresentKHR = tryCall(() => lib.lookupFunction<VkQueuePresentKHRNative, VkQueuePresentKHR>('vkQueuePresentKHR'));
  vkCreateViSurfaceNN = tryCall(() => lib.lookupFunction<VkCreateViSurfaceNNNative, VkCreateViSurfaceNN>('vkCreateViSurfaceNN'));
  vkCreateWaylandSurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateWaylandSurfaceKHRNative, VkCreateWaylandSurfaceKHR>('vkCreateWaylandSurfaceKHR'));
  vkGetPhysicalDeviceWaylandPresentationSupportKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceWaylandPresentationSupportKHRNative, VkGetPhysicalDeviceWaylandPresentationSupportKHR>('vkGetPhysicalDeviceWaylandPresentationSupportKHR'));
  vkCreateWin32SurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateWin32SurfaceKHRNative, VkCreateWin32SurfaceKHR>('vkCreateWin32SurfaceKHR'));
  vkGetPhysicalDeviceWin32PresentationSupportKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceWin32PresentationSupportKHRNative, VkGetPhysicalDeviceWin32PresentationSupportKHR>('vkGetPhysicalDeviceWin32PresentationSupportKHR'));
  vkCreateXlibSurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateXlibSurfaceKHRNative, VkCreateXlibSurfaceKHR>('vkCreateXlibSurfaceKHR'));
  vkGetPhysicalDeviceXlibPresentationSupportKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceXlibPresentationSupportKHRNative, VkGetPhysicalDeviceXlibPresentationSupportKHR>('vkGetPhysicalDeviceXlibPresentationSupportKHR'));
  vkCreateXcbSurfaceKHR = tryCall(() => lib.lookupFunction<VkCreateXcbSurfaceKHRNative, VkCreateXcbSurfaceKHR>('vkCreateXcbSurfaceKHR'));
  vkGetPhysicalDeviceXcbPresentationSupportKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceXcbPresentationSupportKHRNative, VkGetPhysicalDeviceXcbPresentationSupportKHR>('vkGetPhysicalDeviceXcbPresentationSupportKHR'));
  vkCreateDirectFBSurfaceEXT = tryCall(() => lib.lookupFunction<VkCreateDirectFBSurfaceEXTNative, VkCreateDirectFBSurfaceEXT>('vkCreateDirectFBSurfaceEXT'));
  vkGetPhysicalDeviceDirectFBPresentationSupportEXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceDirectFBPresentationSupportEXTNative, VkGetPhysicalDeviceDirectFBPresentationSupportEXT>('vkGetPhysicalDeviceDirectFBPresentationSupportEXT'));
  vkCreateImagePipeSurfaceFUCHSIA = tryCall(() => lib.lookupFunction<VkCreateImagePipeSurfaceFUCHSIANative, VkCreateImagePipeSurfaceFUCHSIA>('vkCreateImagePipeSurfaceFUCHSIA'));
  vkCreateStreamDescriptorSurfaceGGP = tryCall(() => lib.lookupFunction<VkCreateStreamDescriptorSurfaceGGPNative, VkCreateStreamDescriptorSurfaceGGP>('vkCreateStreamDescriptorSurfaceGGP'));
  vkCreateScreenSurfaceQNX = tryCall(() => lib.lookupFunction<VkCreateScreenSurfaceQNXNative, VkCreateScreenSurfaceQNX>('vkCreateScreenSurfaceQNX'));
  vkGetPhysicalDeviceScreenPresentationSupportQNX = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceScreenPresentationSupportQNXNative, VkGetPhysicalDeviceScreenPresentationSupportQNX>('vkGetPhysicalDeviceScreenPresentationSupportQNX'));
  vkCreateDebugReportCallbackEXT = tryCall(() => lib.lookupFunction<VkCreateDebugReportCallbackEXTNative, VkCreateDebugReportCallbackEXT>('vkCreateDebugReportCallbackEXT'));
  vkDestroyDebugReportCallbackEXT = tryCall(() => lib.lookupFunction<VkDestroyDebugReportCallbackEXTNative, VkDestroyDebugReportCallbackEXT>('vkDestroyDebugReportCallbackEXT'));
  vkDebugReportMessageEXT = tryCall(() => lib.lookupFunction<VkDebugReportMessageEXTNative, VkDebugReportMessageEXT>('vkDebugReportMessageEXT'));
  vkDebugMarkerSetObjectNameEXT = tryCall(() => lib.lookupFunction<VkDebugMarkerSetObjectNameEXTNative, VkDebugMarkerSetObjectNameEXT>('vkDebugMarkerSetObjectNameEXT'));
  vkDebugMarkerSetObjectTagEXT = tryCall(() => lib.lookupFunction<VkDebugMarkerSetObjectTagEXTNative, VkDebugMarkerSetObjectTagEXT>('vkDebugMarkerSetObjectTagEXT'));
  vkCmdDebugMarkerBeginEXT = tryCall(() => lib.lookupFunction<VkCmdDebugMarkerBeginEXTNative, VkCmdDebugMarkerBeginEXT>('vkCmdDebugMarkerBeginEXT'));
  vkCmdDebugMarkerEndEXT = tryCall(() => lib.lookupFunction<VkCmdDebugMarkerEndEXTNative, VkCmdDebugMarkerEndEXT>('vkCmdDebugMarkerEndEXT'));
  vkCmdDebugMarkerInsertEXT = tryCall(() => lib.lookupFunction<VkCmdDebugMarkerInsertEXTNative, VkCmdDebugMarkerInsertEXT>('vkCmdDebugMarkerInsertEXT'));
  vkGetPhysicalDeviceExternalImageFormatPropertiesNV = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalImageFormatPropertiesNVNative, VkGetPhysicalDeviceExternalImageFormatPropertiesNV>('vkGetPhysicalDeviceExternalImageFormatPropertiesNV'));
  vkGetMemoryWin32HandleNV = tryCall(() => lib.lookupFunction<VkGetMemoryWin32HandleNVNative, VkGetMemoryWin32HandleNV>('vkGetMemoryWin32HandleNV'));
  vkCmdExecuteGeneratedCommandsNV = tryCall(() => lib.lookupFunction<VkCmdExecuteGeneratedCommandsNVNative, VkCmdExecuteGeneratedCommandsNV>('vkCmdExecuteGeneratedCommandsNV'));
  vkCmdPreprocessGeneratedCommandsNV = tryCall(() => lib.lookupFunction<VkCmdPreprocessGeneratedCommandsNVNative, VkCmdPreprocessGeneratedCommandsNV>('vkCmdPreprocessGeneratedCommandsNV'));
  vkCmdBindPipelineShaderGroupNV = tryCall(() => lib.lookupFunction<VkCmdBindPipelineShaderGroupNVNative, VkCmdBindPipelineShaderGroupNV>('vkCmdBindPipelineShaderGroupNV'));
  vkGetGeneratedCommandsMemoryRequirementsNV = tryCall(() => lib.lookupFunction<VkGetGeneratedCommandsMemoryRequirementsNVNative, VkGetGeneratedCommandsMemoryRequirementsNV>('vkGetGeneratedCommandsMemoryRequirementsNV'));
  vkCreateIndirectCommandsLayoutNV = tryCall(() => lib.lookupFunction<VkCreateIndirectCommandsLayoutNVNative, VkCreateIndirectCommandsLayoutNV>('vkCreateIndirectCommandsLayoutNV'));
  vkDestroyIndirectCommandsLayoutNV = tryCall(() => lib.lookupFunction<VkDestroyIndirectCommandsLayoutNVNative, VkDestroyIndirectCommandsLayoutNV>('vkDestroyIndirectCommandsLayoutNV'));
  vkGetPhysicalDeviceFeatures2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFeatures2Native, VkGetPhysicalDeviceFeatures2>('vkGetPhysicalDeviceFeatures2'));
  vkGetPhysicalDeviceFeatures2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFeatures2KHRNative, VkGetPhysicalDeviceFeatures2KHR>('vkGetPhysicalDeviceFeatures2KHR'));
  vkGetPhysicalDeviceProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceProperties2Native, VkGetPhysicalDeviceProperties2>('vkGetPhysicalDeviceProperties2'));
  vkGetPhysicalDeviceProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceProperties2KHRNative, VkGetPhysicalDeviceProperties2KHR>('vkGetPhysicalDeviceProperties2KHR'));
  vkGetPhysicalDeviceFormatProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFormatProperties2Native, VkGetPhysicalDeviceFormatProperties2>('vkGetPhysicalDeviceFormatProperties2'));
  vkGetPhysicalDeviceFormatProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFormatProperties2KHRNative, VkGetPhysicalDeviceFormatProperties2KHR>('vkGetPhysicalDeviceFormatProperties2KHR'));
  vkGetPhysicalDeviceImageFormatProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceImageFormatProperties2Native, VkGetPhysicalDeviceImageFormatProperties2>('vkGetPhysicalDeviceImageFormatProperties2'));
  vkGetPhysicalDeviceImageFormatProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceImageFormatProperties2KHRNative, VkGetPhysicalDeviceImageFormatProperties2KHR>('vkGetPhysicalDeviceImageFormatProperties2KHR'));
  vkGetPhysicalDeviceQueueFamilyProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceQueueFamilyProperties2Native, VkGetPhysicalDeviceQueueFamilyProperties2>('vkGetPhysicalDeviceQueueFamilyProperties2'));
  vkGetPhysicalDeviceQueueFamilyProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceQueueFamilyProperties2KHRNative, VkGetPhysicalDeviceQueueFamilyProperties2KHR>('vkGetPhysicalDeviceQueueFamilyProperties2KHR'));
  vkGetPhysicalDeviceMemoryProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceMemoryProperties2Native, VkGetPhysicalDeviceMemoryProperties2>('vkGetPhysicalDeviceMemoryProperties2'));
  vkGetPhysicalDeviceMemoryProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceMemoryProperties2KHRNative, VkGetPhysicalDeviceMemoryProperties2KHR>('vkGetPhysicalDeviceMemoryProperties2KHR'));
  vkGetPhysicalDeviceSparseImageFormatProperties2 = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSparseImageFormatProperties2Native, VkGetPhysicalDeviceSparseImageFormatProperties2>('vkGetPhysicalDeviceSparseImageFormatProperties2'));
  vkGetPhysicalDeviceSparseImageFormatProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSparseImageFormatProperties2KHRNative, VkGetPhysicalDeviceSparseImageFormatProperties2KHR>('vkGetPhysicalDeviceSparseImageFormatProperties2KHR'));
  vkCmdPushDescriptorSetKHR = tryCall(() => lib.lookupFunction<VkCmdPushDescriptorSetKHRNative, VkCmdPushDescriptorSetKHR>('vkCmdPushDescriptorSetKHR'));
  vkTrimCommandPool = tryCall(() => lib.lookupFunction<VkTrimCommandPoolNative, VkTrimCommandPool>('vkTrimCommandPool'));
  vkTrimCommandPoolKHR = tryCall(() => lib.lookupFunction<VkTrimCommandPoolKHRNative, VkTrimCommandPoolKHR>('vkTrimCommandPoolKHR'));
  vkGetPhysicalDeviceExternalBufferProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalBufferPropertiesNative, VkGetPhysicalDeviceExternalBufferProperties>('vkGetPhysicalDeviceExternalBufferProperties'));
  vkGetPhysicalDeviceExternalBufferPropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalBufferPropertiesKHRNative, VkGetPhysicalDeviceExternalBufferPropertiesKHR>('vkGetPhysicalDeviceExternalBufferPropertiesKHR'));
  vkGetMemoryWin32HandleKHR = tryCall(() => lib.lookupFunction<VkGetMemoryWin32HandleKHRNative, VkGetMemoryWin32HandleKHR>('vkGetMemoryWin32HandleKHR'));
  vkGetMemoryWin32HandlePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetMemoryWin32HandlePropertiesKHRNative, VkGetMemoryWin32HandlePropertiesKHR>('vkGetMemoryWin32HandlePropertiesKHR'));
  vkGetMemoryFdKHR = tryCall(() => lib.lookupFunction<VkGetMemoryFdKHRNative, VkGetMemoryFdKHR>('vkGetMemoryFdKHR'));
  vkGetMemoryFdPropertiesKHR = tryCall(() => lib.lookupFunction<VkGetMemoryFdPropertiesKHRNative, VkGetMemoryFdPropertiesKHR>('vkGetMemoryFdPropertiesKHR'));
  vkGetPhysicalDeviceExternalSemaphoreProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalSemaphorePropertiesNative, VkGetPhysicalDeviceExternalSemaphoreProperties>('vkGetPhysicalDeviceExternalSemaphoreProperties'));
  vkGetPhysicalDeviceExternalSemaphorePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalSemaphorePropertiesKHRNative, VkGetPhysicalDeviceExternalSemaphorePropertiesKHR>('vkGetPhysicalDeviceExternalSemaphorePropertiesKHR'));
  vkGetSemaphoreWin32HandleKHR = tryCall(() => lib.lookupFunction<VkGetSemaphoreWin32HandleKHRNative, VkGetSemaphoreWin32HandleKHR>('vkGetSemaphoreWin32HandleKHR'));
  vkImportSemaphoreWin32HandleKHR = tryCall(() => lib.lookupFunction<VkImportSemaphoreWin32HandleKHRNative, VkImportSemaphoreWin32HandleKHR>('vkImportSemaphoreWin32HandleKHR'));
  vkGetSemaphoreFdKHR = tryCall(() => lib.lookupFunction<VkGetSemaphoreFdKHRNative, VkGetSemaphoreFdKHR>('vkGetSemaphoreFdKHR'));
  vkImportSemaphoreFdKHR = tryCall(() => lib.lookupFunction<VkImportSemaphoreFdKHRNative, VkImportSemaphoreFdKHR>('vkImportSemaphoreFdKHR'));
  vkGetPhysicalDeviceExternalFenceProperties = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalFencePropertiesNative, VkGetPhysicalDeviceExternalFenceProperties>('vkGetPhysicalDeviceExternalFenceProperties'));
  vkGetPhysicalDeviceExternalFencePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceExternalFencePropertiesKHRNative, VkGetPhysicalDeviceExternalFencePropertiesKHR>('vkGetPhysicalDeviceExternalFencePropertiesKHR'));
  vkGetFenceWin32HandleKHR = tryCall(() => lib.lookupFunction<VkGetFenceWin32HandleKHRNative, VkGetFenceWin32HandleKHR>('vkGetFenceWin32HandleKHR'));
  vkImportFenceWin32HandleKHR = tryCall(() => lib.lookupFunction<VkImportFenceWin32HandleKHRNative, VkImportFenceWin32HandleKHR>('vkImportFenceWin32HandleKHR'));
  vkGetFenceFdKHR = tryCall(() => lib.lookupFunction<VkGetFenceFdKHRNative, VkGetFenceFdKHR>('vkGetFenceFdKHR'));
  vkImportFenceFdKHR = tryCall(() => lib.lookupFunction<VkImportFenceFdKHRNative, VkImportFenceFdKHR>('vkImportFenceFdKHR'));
  vkReleaseDisplayEXT = tryCall(() => lib.lookupFunction<VkReleaseDisplayEXTNative, VkReleaseDisplayEXT>('vkReleaseDisplayEXT'));
  vkAcquireXlibDisplayEXT = tryCall(() => lib.lookupFunction<VkAcquireXlibDisplayEXTNative, VkAcquireXlibDisplayEXT>('vkAcquireXlibDisplayEXT'));
  vkGetRandROutputDisplayEXT = tryCall(() => lib.lookupFunction<VkGetRandROutputDisplayEXTNative, VkGetRandROutputDisplayEXT>('vkGetRandROutputDisplayEXT'));
  vkAcquireWinrtDisplayNV = tryCall(() => lib.lookupFunction<VkAcquireWinrtDisplayNVNative, VkAcquireWinrtDisplayNV>('vkAcquireWinrtDisplayNV'));
  vkGetWinrtDisplayNV = tryCall(() => lib.lookupFunction<VkGetWinrtDisplayNVNative, VkGetWinrtDisplayNV>('vkGetWinrtDisplayNV'));
  vkDisplayPowerControlEXT = tryCall(() => lib.lookupFunction<VkDisplayPowerControlEXTNative, VkDisplayPowerControlEXT>('vkDisplayPowerControlEXT'));
  vkRegisterDeviceEventEXT = tryCall(() => lib.lookupFunction<VkRegisterDeviceEventEXTNative, VkRegisterDeviceEventEXT>('vkRegisterDeviceEventEXT'));
  vkRegisterDisplayEventEXT = tryCall(() => lib.lookupFunction<VkRegisterDisplayEventEXTNative, VkRegisterDisplayEventEXT>('vkRegisterDisplayEventEXT'));
  vkGetSwapchainCounterEXT = tryCall(() => lib.lookupFunction<VkGetSwapchainCounterEXTNative, VkGetSwapchainCounterEXT>('vkGetSwapchainCounterEXT'));
  vkGetPhysicalDeviceSurfaceCapabilities2EXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceCapabilities2EXTNative, VkGetPhysicalDeviceSurfaceCapabilities2EXT>('vkGetPhysicalDeviceSurfaceCapabilities2EXT'));
  vkEnumeratePhysicalDeviceGroups = tryCall(() => lib.lookupFunction<VkEnumeratePhysicalDeviceGroupsNative, VkEnumeratePhysicalDeviceGroups>('vkEnumeratePhysicalDeviceGroups'));
  vkEnumeratePhysicalDeviceGroupsKHR = tryCall(() => lib.lookupFunction<VkEnumeratePhysicalDeviceGroupsKHRNative, VkEnumeratePhysicalDeviceGroupsKHR>('vkEnumeratePhysicalDeviceGroupsKHR'));
  vkGetDeviceGroupPeerMemoryFeatures = tryCall(() => lib.lookupFunction<VkGetDeviceGroupPeerMemoryFeaturesNative, VkGetDeviceGroupPeerMemoryFeatures>('vkGetDeviceGroupPeerMemoryFeatures'));
  vkGetDeviceGroupPeerMemoryFeaturesKHR = tryCall(() => lib.lookupFunction<VkGetDeviceGroupPeerMemoryFeaturesKHRNative, VkGetDeviceGroupPeerMemoryFeaturesKHR>('vkGetDeviceGroupPeerMemoryFeaturesKHR'));
  vkBindBufferMemory2 = tryCall(() => lib.lookupFunction<VkBindBufferMemory2Native, VkBindBufferMemory2>('vkBindBufferMemory2'));
  vkBindBufferMemory2KHR = tryCall(() => lib.lookupFunction<VkBindBufferMemory2KHRNative, VkBindBufferMemory2KHR>('vkBindBufferMemory2KHR'));
  vkBindImageMemory2 = tryCall(() => lib.lookupFunction<VkBindImageMemory2Native, VkBindImageMemory2>('vkBindImageMemory2'));
  vkBindImageMemory2KHR = tryCall(() => lib.lookupFunction<VkBindImageMemory2KHRNative, VkBindImageMemory2KHR>('vkBindImageMemory2KHR'));
  vkCmdSetDeviceMask = tryCall(() => lib.lookupFunction<VkCmdSetDeviceMaskNative, VkCmdSetDeviceMask>('vkCmdSetDeviceMask'));
  vkCmdSetDeviceMaskKHR = tryCall(() => lib.lookupFunction<VkCmdSetDeviceMaskKHRNative, VkCmdSetDeviceMaskKHR>('vkCmdSetDeviceMaskKHR'));
  vkGetDeviceGroupPresentCapabilitiesKHR = tryCall(() => lib.lookupFunction<VkGetDeviceGroupPresentCapabilitiesKHRNative, VkGetDeviceGroupPresentCapabilitiesKHR>('vkGetDeviceGroupPresentCapabilitiesKHR'));
  vkGetDeviceGroupSurfacePresentModesKHR = tryCall(() => lib.lookupFunction<VkGetDeviceGroupSurfacePresentModesKHRNative, VkGetDeviceGroupSurfacePresentModesKHR>('vkGetDeviceGroupSurfacePresentModesKHR'));
  vkAcquireNextImage2KHR = tryCall(() => lib.lookupFunction<VkAcquireNextImage2KHRNative, VkAcquireNextImage2KHR>('vkAcquireNextImage2KHR'));
  vkCmdDispatchBase = tryCall(() => lib.lookupFunction<VkCmdDispatchBaseNative, VkCmdDispatchBase>('vkCmdDispatchBase'));
  vkCmdDispatchBaseKHR = tryCall(() => lib.lookupFunction<VkCmdDispatchBaseKHRNative, VkCmdDispatchBaseKHR>('vkCmdDispatchBaseKHR'));
  vkGetPhysicalDevicePresentRectanglesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDevicePresentRectanglesKHRNative, VkGetPhysicalDevicePresentRectanglesKHR>('vkGetPhysicalDevicePresentRectanglesKHR'));
  vkCreateDescriptorUpdateTemplate = tryCall(() => lib.lookupFunction<VkCreateDescriptorUpdateTemplateNative, VkCreateDescriptorUpdateTemplate>('vkCreateDescriptorUpdateTemplate'));
  vkCreateDescriptorUpdateTemplateKHR = tryCall(() => lib.lookupFunction<VkCreateDescriptorUpdateTemplateKHRNative, VkCreateDescriptorUpdateTemplateKHR>('vkCreateDescriptorUpdateTemplateKHR'));
  vkDestroyDescriptorUpdateTemplate = tryCall(() => lib.lookupFunction<VkDestroyDescriptorUpdateTemplateNative, VkDestroyDescriptorUpdateTemplate>('vkDestroyDescriptorUpdateTemplate'));
  vkDestroyDescriptorUpdateTemplateKHR = tryCall(() => lib.lookupFunction<VkDestroyDescriptorUpdateTemplateKHRNative, VkDestroyDescriptorUpdateTemplateKHR>('vkDestroyDescriptorUpdateTemplateKHR'));
  vkUpdateDescriptorSetWithTemplate = tryCall(() => lib.lookupFunction<VkUpdateDescriptorSetWithTemplateNative, VkUpdateDescriptorSetWithTemplate>('vkUpdateDescriptorSetWithTemplate'));
  vkUpdateDescriptorSetWithTemplateKHR = tryCall(() => lib.lookupFunction<VkUpdateDescriptorSetWithTemplateKHRNative, VkUpdateDescriptorSetWithTemplateKHR>('vkUpdateDescriptorSetWithTemplateKHR'));
  vkCmdPushDescriptorSetWithTemplateKHR = tryCall(() => lib.lookupFunction<VkCmdPushDescriptorSetWithTemplateKHRNative, VkCmdPushDescriptorSetWithTemplateKHR>('vkCmdPushDescriptorSetWithTemplateKHR'));
  vkSetHdrMetadataEXT = tryCall(() => lib.lookupFunction<VkSetHdrMetadataEXTNative, VkSetHdrMetadataEXT>('vkSetHdrMetadataEXT'));
  vkGetSwapchainStatusKHR = tryCall(() => lib.lookupFunction<VkGetSwapchainStatusKHRNative, VkGetSwapchainStatusKHR>('vkGetSwapchainStatusKHR'));
  vkGetRefreshCycleDurationGOOGLE = tryCall(() => lib.lookupFunction<VkGetRefreshCycleDurationGOOGLENative, VkGetRefreshCycleDurationGOOGLE>('vkGetRefreshCycleDurationGOOGLE'));
  vkGetPastPresentationTimingGOOGLE = tryCall(() => lib.lookupFunction<VkGetPastPresentationTimingGOOGLENative, VkGetPastPresentationTimingGOOGLE>('vkGetPastPresentationTimingGOOGLE'));
  vkCreateIOSSurfaceMVK = tryCall(() => lib.lookupFunction<VkCreateIOSSurfaceMVKNative, VkCreateIOSSurfaceMVK>('vkCreateIOSSurfaceMVK'));
  vkCreateMacOSSurfaceMVK = tryCall(() => lib.lookupFunction<VkCreateMacOSSurfaceMVKNative, VkCreateMacOSSurfaceMVK>('vkCreateMacOSSurfaceMVK'));
  vkCreateMetalSurfaceEXT = tryCall(() => lib.lookupFunction<VkCreateMetalSurfaceEXTNative, VkCreateMetalSurfaceEXT>('vkCreateMetalSurfaceEXT'));
  vkCmdSetViewportWScalingNV = tryCall(() => lib.lookupFunction<VkCmdSetViewportWScalingNVNative, VkCmdSetViewportWScalingNV>('vkCmdSetViewportWScalingNV'));
  vkCmdSetDiscardRectangleEXT = tryCall(() => lib.lookupFunction<VkCmdSetDiscardRectangleEXTNative, VkCmdSetDiscardRectangleEXT>('vkCmdSetDiscardRectangleEXT'));
  vkCmdSetSampleLocationsEXT = tryCall(() => lib.lookupFunction<VkCmdSetSampleLocationsEXTNative, VkCmdSetSampleLocationsEXT>('vkCmdSetSampleLocationsEXT'));
  vkGetPhysicalDeviceMultisamplePropertiesEXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceMultisamplePropertiesEXTNative, VkGetPhysicalDeviceMultisamplePropertiesEXT>('vkGetPhysicalDeviceMultisamplePropertiesEXT'));
  vkGetPhysicalDeviceSurfaceCapabilities2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceCapabilities2KHRNative, VkGetPhysicalDeviceSurfaceCapabilities2KHR>('vkGetPhysicalDeviceSurfaceCapabilities2KHR'));
  vkGetPhysicalDeviceSurfaceFormats2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfaceFormats2KHRNative, VkGetPhysicalDeviceSurfaceFormats2KHR>('vkGetPhysicalDeviceSurfaceFormats2KHR'));
  vkGetPhysicalDeviceDisplayProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceDisplayProperties2KHRNative, VkGetPhysicalDeviceDisplayProperties2KHR>('vkGetPhysicalDeviceDisplayProperties2KHR'));
  vkGetPhysicalDeviceDisplayPlaneProperties2KHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceDisplayPlaneProperties2KHRNative, VkGetPhysicalDeviceDisplayPlaneProperties2KHR>('vkGetPhysicalDeviceDisplayPlaneProperties2KHR'));
  vkGetDisplayModeProperties2KHR = tryCall(() => lib.lookupFunction<VkGetDisplayModeProperties2KHRNative, VkGetDisplayModeProperties2KHR>('vkGetDisplayModeProperties2KHR'));
  vkGetDisplayPlaneCapabilities2KHR = tryCall(() => lib.lookupFunction<VkGetDisplayPlaneCapabilities2KHRNative, VkGetDisplayPlaneCapabilities2KHR>('vkGetDisplayPlaneCapabilities2KHR'));
  vkGetBufferMemoryRequirements2 = tryCall(() => lib.lookupFunction<VkGetBufferMemoryRequirements2Native, VkGetBufferMemoryRequirements2>('vkGetBufferMemoryRequirements2'));
  vkGetBufferMemoryRequirements2KHR = tryCall(() => lib.lookupFunction<VkGetBufferMemoryRequirements2KHRNative, VkGetBufferMemoryRequirements2KHR>('vkGetBufferMemoryRequirements2KHR'));
  vkGetImageMemoryRequirements2 = tryCall(() => lib.lookupFunction<VkGetImageMemoryRequirements2Native, VkGetImageMemoryRequirements2>('vkGetImageMemoryRequirements2'));
  vkGetImageMemoryRequirements2KHR = tryCall(() => lib.lookupFunction<VkGetImageMemoryRequirements2KHRNative, VkGetImageMemoryRequirements2KHR>('vkGetImageMemoryRequirements2KHR'));
  vkGetImageSparseMemoryRequirements2 = tryCall(() => lib.lookupFunction<VkGetImageSparseMemoryRequirements2Native, VkGetImageSparseMemoryRequirements2>('vkGetImageSparseMemoryRequirements2'));
  vkGetImageSparseMemoryRequirements2KHR = tryCall(() => lib.lookupFunction<VkGetImageSparseMemoryRequirements2KHRNative, VkGetImageSparseMemoryRequirements2KHR>('vkGetImageSparseMemoryRequirements2KHR'));
  vkCreateSamplerYcbcrConversion = tryCall(() => lib.lookupFunction<VkCreateSamplerYcbcrConversionNative, VkCreateSamplerYcbcrConversion>('vkCreateSamplerYcbcrConversion'));
  vkCreateSamplerYcbcrConversionKHR = tryCall(() => lib.lookupFunction<VkCreateSamplerYcbcrConversionKHRNative, VkCreateSamplerYcbcrConversionKHR>('vkCreateSamplerYcbcrConversionKHR'));
  vkDestroySamplerYcbcrConversion = tryCall(() => lib.lookupFunction<VkDestroySamplerYcbcrConversionNative, VkDestroySamplerYcbcrConversion>('vkDestroySamplerYcbcrConversion'));
  vkDestroySamplerYcbcrConversionKHR = tryCall(() => lib.lookupFunction<VkDestroySamplerYcbcrConversionKHRNative, VkDestroySamplerYcbcrConversionKHR>('vkDestroySamplerYcbcrConversionKHR'));
  vkGetDeviceQueue2 = tryCall(() => lib.lookupFunction<VkGetDeviceQueue2Native, VkGetDeviceQueue2>('vkGetDeviceQueue2'));
  vkCreateValidationCacheEXT = tryCall(() => lib.lookupFunction<VkCreateValidationCacheEXTNative, VkCreateValidationCacheEXT>('vkCreateValidationCacheEXT'));
  vkDestroyValidationCacheEXT = tryCall(() => lib.lookupFunction<VkDestroyValidationCacheEXTNative, VkDestroyValidationCacheEXT>('vkDestroyValidationCacheEXT'));
  vkGetValidationCacheDataEXT = tryCall(() => lib.lookupFunction<VkGetValidationCacheDataEXTNative, VkGetValidationCacheDataEXT>('vkGetValidationCacheDataEXT'));
  vkMergeValidationCachesEXT = tryCall(() => lib.lookupFunction<VkMergeValidationCachesEXTNative, VkMergeValidationCachesEXT>('vkMergeValidationCachesEXT'));
  vkGetDescriptorSetLayoutSupport = tryCall(() => lib.lookupFunction<VkGetDescriptorSetLayoutSupportNative, VkGetDescriptorSetLayoutSupport>('vkGetDescriptorSetLayoutSupport'));
  vkGetDescriptorSetLayoutSupportKHR = tryCall(() => lib.lookupFunction<VkGetDescriptorSetLayoutSupportKHRNative, VkGetDescriptorSetLayoutSupportKHR>('vkGetDescriptorSetLayoutSupportKHR'));
  vkGetSwapchainGrallocUsageANDROID = tryCall(() => lib.lookupFunction<VkGetSwapchainGrallocUsageANDROIDNative, VkGetSwapchainGrallocUsageANDROID>('vkGetSwapchainGrallocUsageANDROID'));
  vkGetSwapchainGrallocUsage2ANDROID = tryCall(() => lib.lookupFunction<VkGetSwapchainGrallocUsage2ANDROIDNative, VkGetSwapchainGrallocUsage2ANDROID>('vkGetSwapchainGrallocUsage2ANDROID'));
  vkAcquireImageANDROID = tryCall(() => lib.lookupFunction<VkAcquireImageANDROIDNative, VkAcquireImageANDROID>('vkAcquireImageANDROID'));
  vkQueueSignalReleaseImageANDROID = tryCall(() => lib.lookupFunction<VkQueueSignalReleaseImageANDROIDNative, VkQueueSignalReleaseImageANDROID>('vkQueueSignalReleaseImageANDROID'));
  vkGetShaderInfoAMD = tryCall(() => lib.lookupFunction<VkGetShaderInfoAMDNative, VkGetShaderInfoAMD>('vkGetShaderInfoAMD'));
  vkSetLocalDimmingAMD = tryCall(() => lib.lookupFunction<VkSetLocalDimmingAMDNative, VkSetLocalDimmingAMD>('vkSetLocalDimmingAMD'));
  vkGetPhysicalDeviceCalibrateableTimeDomainsEXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceCalibrateableTimeDomainsEXTNative, VkGetPhysicalDeviceCalibrateableTimeDomainsEXT>('vkGetPhysicalDeviceCalibrateableTimeDomainsEXT'));
  vkGetCalibratedTimestampsEXT = tryCall(() => lib.lookupFunction<VkGetCalibratedTimestampsEXTNative, VkGetCalibratedTimestampsEXT>('vkGetCalibratedTimestampsEXT'));
  vkSetDebugUtilsObjectNameEXT = tryCall(() => lib.lookupFunction<VkSetDebugUtilsObjectNameEXTNative, VkSetDebugUtilsObjectNameEXT>('vkSetDebugUtilsObjectNameEXT'));
  vkSetDebugUtilsObjectTagEXT = tryCall(() => lib.lookupFunction<VkSetDebugUtilsObjectTagEXTNative, VkSetDebugUtilsObjectTagEXT>('vkSetDebugUtilsObjectTagEXT'));
  vkQueueBeginDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkQueueBeginDebugUtilsLabelEXTNative, VkQueueBeginDebugUtilsLabelEXT>('vkQueueBeginDebugUtilsLabelEXT'));
  vkQueueEndDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkQueueEndDebugUtilsLabelEXTNative, VkQueueEndDebugUtilsLabelEXT>('vkQueueEndDebugUtilsLabelEXT'));
  vkQueueInsertDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkQueueInsertDebugUtilsLabelEXTNative, VkQueueInsertDebugUtilsLabelEXT>('vkQueueInsertDebugUtilsLabelEXT'));
  vkCmdBeginDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkCmdBeginDebugUtilsLabelEXTNative, VkCmdBeginDebugUtilsLabelEXT>('vkCmdBeginDebugUtilsLabelEXT'));
  vkCmdEndDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkCmdEndDebugUtilsLabelEXTNative, VkCmdEndDebugUtilsLabelEXT>('vkCmdEndDebugUtilsLabelEXT'));
  vkCmdInsertDebugUtilsLabelEXT = tryCall(() => lib.lookupFunction<VkCmdInsertDebugUtilsLabelEXTNative, VkCmdInsertDebugUtilsLabelEXT>('vkCmdInsertDebugUtilsLabelEXT'));
  vkCreateDebugUtilsMessengerEXT = tryCall(() => lib.lookupFunction<VkCreateDebugUtilsMessengerEXTNative, VkCreateDebugUtilsMessengerEXT>('vkCreateDebugUtilsMessengerEXT'));
  vkDestroyDebugUtilsMessengerEXT = tryCall(() => lib.lookupFunction<VkDestroyDebugUtilsMessengerEXTNative, VkDestroyDebugUtilsMessengerEXT>('vkDestroyDebugUtilsMessengerEXT'));
  vkSubmitDebugUtilsMessageEXT = tryCall(() => lib.lookupFunction<VkSubmitDebugUtilsMessageEXTNative, VkSubmitDebugUtilsMessageEXT>('vkSubmitDebugUtilsMessageEXT'));
  vkGetMemoryHostPointerPropertiesEXT = tryCall(() => lib.lookupFunction<VkGetMemoryHostPointerPropertiesEXTNative, VkGetMemoryHostPointerPropertiesEXT>('vkGetMemoryHostPointerPropertiesEXT'));
  vkCmdWriteBufferMarkerAMD = tryCall(() => lib.lookupFunction<VkCmdWriteBufferMarkerAMDNative, VkCmdWriteBufferMarkerAMD>('vkCmdWriteBufferMarkerAMD'));
  vkCreateRenderPass2 = tryCall(() => lib.lookupFunction<VkCreateRenderPass2Native, VkCreateRenderPass2>('vkCreateRenderPass2'));
  vkCreateRenderPass2KHR = tryCall(() => lib.lookupFunction<VkCreateRenderPass2KHRNative, VkCreateRenderPass2KHR>('vkCreateRenderPass2KHR'));
  vkCmdBeginRenderPass2 = tryCall(() => lib.lookupFunction<VkCmdBeginRenderPass2Native, VkCmdBeginRenderPass2>('vkCmdBeginRenderPass2'));
  vkCmdBeginRenderPass2KHR = tryCall(() => lib.lookupFunction<VkCmdBeginRenderPass2KHRNative, VkCmdBeginRenderPass2KHR>('vkCmdBeginRenderPass2KHR'));
  vkCmdNextSubpass2 = tryCall(() => lib.lookupFunction<VkCmdNextSubpass2Native, VkCmdNextSubpass2>('vkCmdNextSubpass2'));
  vkCmdNextSubpass2KHR = tryCall(() => lib.lookupFunction<VkCmdNextSubpass2KHRNative, VkCmdNextSubpass2KHR>('vkCmdNextSubpass2KHR'));
  vkCmdEndRenderPass2 = tryCall(() => lib.lookupFunction<VkCmdEndRenderPass2Native, VkCmdEndRenderPass2>('vkCmdEndRenderPass2'));
  vkCmdEndRenderPass2KHR = tryCall(() => lib.lookupFunction<VkCmdEndRenderPass2KHRNative, VkCmdEndRenderPass2KHR>('vkCmdEndRenderPass2KHR'));
  vkGetSemaphoreCounterValue = tryCall(() => lib.lookupFunction<VkGetSemaphoreCounterValueNative, VkGetSemaphoreCounterValue>('vkGetSemaphoreCounterValue'));
  vkGetSemaphoreCounterValueKHR = tryCall(() => lib.lookupFunction<VkGetSemaphoreCounterValueKHRNative, VkGetSemaphoreCounterValueKHR>('vkGetSemaphoreCounterValueKHR'));
  vkWaitSemaphores = tryCall(() => lib.lookupFunction<VkWaitSemaphoresNative, VkWaitSemaphores>('vkWaitSemaphores'));
  vkWaitSemaphoresKHR = tryCall(() => lib.lookupFunction<VkWaitSemaphoresKHRNative, VkWaitSemaphoresKHR>('vkWaitSemaphoresKHR'));
  vkSignalSemaphore = tryCall(() => lib.lookupFunction<VkSignalSemaphoreNative, VkSignalSemaphore>('vkSignalSemaphore'));
  vkSignalSemaphoreKHR = tryCall(() => lib.lookupFunction<VkSignalSemaphoreKHRNative, VkSignalSemaphoreKHR>('vkSignalSemaphoreKHR'));
  vkGetAndroidHardwareBufferPropertiesANDROID = tryCall(() => lib.lookupFunction<VkGetAndroidHardwareBufferPropertiesANDROIDNative, VkGetAndroidHardwareBufferPropertiesANDROID>('vkGetAndroidHardwareBufferPropertiesANDROID'));
  vkGetMemoryAndroidHardwareBufferANDROID = tryCall(() => lib.lookupFunction<VkGetMemoryAndroidHardwareBufferANDROIDNative, VkGetMemoryAndroidHardwareBufferANDROID>('vkGetMemoryAndroidHardwareBufferANDROID'));
  vkCmdDrawIndirectCount = tryCall(() => lib.lookupFunction<VkCmdDrawIndirectCountNative, VkCmdDrawIndirectCount>('vkCmdDrawIndirectCount'));
  vkCmdDrawIndirectCountKHR = tryCall(() => lib.lookupFunction<VkCmdDrawIndirectCountKHRNative, VkCmdDrawIndirectCountKHR>('vkCmdDrawIndirectCountKHR'));
  vkCmdDrawIndirectCountAMD = tryCall(() => lib.lookupFunction<VkCmdDrawIndirectCountAMDNative, VkCmdDrawIndirectCountAMD>('vkCmdDrawIndirectCountAMD'));
  vkCmdDrawIndexedIndirectCount = tryCall(() => lib.lookupFunction<VkCmdDrawIndexedIndirectCountNative, VkCmdDrawIndexedIndirectCount>('vkCmdDrawIndexedIndirectCount'));
  vkCmdDrawIndexedIndirectCountKHR = tryCall(() => lib.lookupFunction<VkCmdDrawIndexedIndirectCountKHRNative, VkCmdDrawIndexedIndirectCountKHR>('vkCmdDrawIndexedIndirectCountKHR'));
  vkCmdDrawIndexedIndirectCountAMD = tryCall(() => lib.lookupFunction<VkCmdDrawIndexedIndirectCountAMDNative, VkCmdDrawIndexedIndirectCountAMD>('vkCmdDrawIndexedIndirectCountAMD'));
  vkCmdSetCheckpointNV = tryCall(() => lib.lookupFunction<VkCmdSetCheckpointNVNative, VkCmdSetCheckpointNV>('vkCmdSetCheckpointNV'));
  vkGetQueueCheckpointDataNV = tryCall(() => lib.lookupFunction<VkGetQueueCheckpointDataNVNative, VkGetQueueCheckpointDataNV>('vkGetQueueCheckpointDataNV'));
  vkCmdBindTransformFeedbackBuffersEXT = tryCall(() => lib.lookupFunction<VkCmdBindTransformFeedbackBuffersEXTNative, VkCmdBindTransformFeedbackBuffersEXT>('vkCmdBindTransformFeedbackBuffersEXT'));
  vkCmdBeginTransformFeedbackEXT = tryCall(() => lib.lookupFunction<VkCmdBeginTransformFeedbackEXTNative, VkCmdBeginTransformFeedbackEXT>('vkCmdBeginTransformFeedbackEXT'));
  vkCmdEndTransformFeedbackEXT = tryCall(() => lib.lookupFunction<VkCmdEndTransformFeedbackEXTNative, VkCmdEndTransformFeedbackEXT>('vkCmdEndTransformFeedbackEXT'));
  vkCmdBeginQueryIndexedEXT = tryCall(() => lib.lookupFunction<VkCmdBeginQueryIndexedEXTNative, VkCmdBeginQueryIndexedEXT>('vkCmdBeginQueryIndexedEXT'));
  vkCmdEndQueryIndexedEXT = tryCall(() => lib.lookupFunction<VkCmdEndQueryIndexedEXTNative, VkCmdEndQueryIndexedEXT>('vkCmdEndQueryIndexedEXT'));
  vkCmdDrawIndirectByteCountEXT = tryCall(() => lib.lookupFunction<VkCmdDrawIndirectByteCountEXTNative, VkCmdDrawIndirectByteCountEXT>('vkCmdDrawIndirectByteCountEXT'));
  vkCmdSetExclusiveScissorNV = tryCall(() => lib.lookupFunction<VkCmdSetExclusiveScissorNVNative, VkCmdSetExclusiveScissorNV>('vkCmdSetExclusiveScissorNV'));
  vkCmdBindShadingRateImageNV = tryCall(() => lib.lookupFunction<VkCmdBindShadingRateImageNVNative, VkCmdBindShadingRateImageNV>('vkCmdBindShadingRateImageNV'));
  vkCmdSetViewportShadingRatePaletteNV = tryCall(() => lib.lookupFunction<VkCmdSetViewportShadingRatePaletteNVNative, VkCmdSetViewportShadingRatePaletteNV>('vkCmdSetViewportShadingRatePaletteNV'));
  vkCmdSetCoarseSampleOrderNV = tryCall(() => lib.lookupFunction<VkCmdSetCoarseSampleOrderNVNative, VkCmdSetCoarseSampleOrderNV>('vkCmdSetCoarseSampleOrderNV'));
  vkCmdDrawMeshTasksNV = tryCall(() => lib.lookupFunction<VkCmdDrawMeshTasksNVNative, VkCmdDrawMeshTasksNV>('vkCmdDrawMeshTasksNV'));
  vkCmdDrawMeshTasksIndirectNV = tryCall(() => lib.lookupFunction<VkCmdDrawMeshTasksIndirectNVNative, VkCmdDrawMeshTasksIndirectNV>('vkCmdDrawMeshTasksIndirectNV'));
  vkCmdDrawMeshTasksIndirectCountNV = tryCall(() => lib.lookupFunction<VkCmdDrawMeshTasksIndirectCountNVNative, VkCmdDrawMeshTasksIndirectCountNV>('vkCmdDrawMeshTasksIndirectCountNV'));
  vkCompileDeferredNV = tryCall(() => lib.lookupFunction<VkCompileDeferredNVNative, VkCompileDeferredNV>('vkCompileDeferredNV'));
  vkCreateAccelerationStructureNV = tryCall(() => lib.lookupFunction<VkCreateAccelerationStructureNVNative, VkCreateAccelerationStructureNV>('vkCreateAccelerationStructureNV'));
  vkDestroyAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkDestroyAccelerationStructureKHRNative, VkDestroyAccelerationStructureKHR>('vkDestroyAccelerationStructureKHR'));
  vkDestroyAccelerationStructureNV = tryCall(() => lib.lookupFunction<VkDestroyAccelerationStructureNVNative, VkDestroyAccelerationStructureNV>('vkDestroyAccelerationStructureNV'));
  vkGetAccelerationStructureMemoryRequirementsNV = tryCall(() => lib.lookupFunction<VkGetAccelerationStructureMemoryRequirementsNVNative, VkGetAccelerationStructureMemoryRequirementsNV>('vkGetAccelerationStructureMemoryRequirementsNV'));
  vkBindAccelerationStructureMemoryNV = tryCall(() => lib.lookupFunction<VkBindAccelerationStructureMemoryNVNative, VkBindAccelerationStructureMemoryNV>('vkBindAccelerationStructureMemoryNV'));
  vkCmdCopyAccelerationStructureNV = tryCall(() => lib.lookupFunction<VkCmdCopyAccelerationStructureNVNative, VkCmdCopyAccelerationStructureNV>('vkCmdCopyAccelerationStructureNV'));
  vkCmdCopyAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkCmdCopyAccelerationStructureKHRNative, VkCmdCopyAccelerationStructureKHR>('vkCmdCopyAccelerationStructureKHR'));
  vkCopyAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkCopyAccelerationStructureKHRNative, VkCopyAccelerationStructureKHR>('vkCopyAccelerationStructureKHR'));
  vkCmdCopyAccelerationStructureToMemoryKHR = tryCall(() => lib.lookupFunction<VkCmdCopyAccelerationStructureToMemoryKHRNative, VkCmdCopyAccelerationStructureToMemoryKHR>('vkCmdCopyAccelerationStructureToMemoryKHR'));
  vkCopyAccelerationStructureToMemoryKHR = tryCall(() => lib.lookupFunction<VkCopyAccelerationStructureToMemoryKHRNative, VkCopyAccelerationStructureToMemoryKHR>('vkCopyAccelerationStructureToMemoryKHR'));
  vkCmdCopyMemoryToAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkCmdCopyMemoryToAccelerationStructureKHRNative, VkCmdCopyMemoryToAccelerationStructureKHR>('vkCmdCopyMemoryToAccelerationStructureKHR'));
  vkCopyMemoryToAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkCopyMemoryToAccelerationStructureKHRNative, VkCopyMemoryToAccelerationStructureKHR>('vkCopyMemoryToAccelerationStructureKHR'));
  vkCmdWriteAccelerationStructuresPropertiesKHR = tryCall(() => lib.lookupFunction<VkCmdWriteAccelerationStructuresPropertiesKHRNative, VkCmdWriteAccelerationStructuresPropertiesKHR>('vkCmdWriteAccelerationStructuresPropertiesKHR'));
  vkCmdWriteAccelerationStructuresPropertiesNV = tryCall(() => lib.lookupFunction<VkCmdWriteAccelerationStructuresPropertiesNVNative, VkCmdWriteAccelerationStructuresPropertiesNV>('vkCmdWriteAccelerationStructuresPropertiesNV'));
  vkCmdBuildAccelerationStructureNV = tryCall(() => lib.lookupFunction<VkCmdBuildAccelerationStructureNVNative, VkCmdBuildAccelerationStructureNV>('vkCmdBuildAccelerationStructureNV'));
  vkWriteAccelerationStructuresPropertiesKHR = tryCall(() => lib.lookupFunction<VkWriteAccelerationStructuresPropertiesKHRNative, VkWriteAccelerationStructuresPropertiesKHR>('vkWriteAccelerationStructuresPropertiesKHR'));
  vkCmdTraceRaysKHR = tryCall(() => lib.lookupFunction<VkCmdTraceRaysKHRNative, VkCmdTraceRaysKHR>('vkCmdTraceRaysKHR'));
  vkCmdTraceRaysNV = tryCall(() => lib.lookupFunction<VkCmdTraceRaysNVNative, VkCmdTraceRaysNV>('vkCmdTraceRaysNV'));
  vkGetRayTracingShaderGroupHandlesKHR = tryCall(() => lib.lookupFunction<VkGetRayTracingShaderGroupHandlesKHRNative, VkGetRayTracingShaderGroupHandlesKHR>('vkGetRayTracingShaderGroupHandlesKHR'));
  vkGetRayTracingShaderGroupHandlesNV = tryCall(() => lib.lookupFunction<VkGetRayTracingShaderGroupHandlesNVNative, VkGetRayTracingShaderGroupHandlesNV>('vkGetRayTracingShaderGroupHandlesNV'));
  vkGetRayTracingCaptureReplayShaderGroupHandlesKHR = tryCall(() => lib.lookupFunction<VkGetRayTracingCaptureReplayShaderGroupHandlesKHRNative, VkGetRayTracingCaptureReplayShaderGroupHandlesKHR>('vkGetRayTracingCaptureReplayShaderGroupHandlesKHR'));
  vkGetAccelerationStructureHandleNV = tryCall(() => lib.lookupFunction<VkGetAccelerationStructureHandleNVNative, VkGetAccelerationStructureHandleNV>('vkGetAccelerationStructureHandleNV'));
  vkCreateRayTracingPipelinesNV = tryCall(() => lib.lookupFunction<VkCreateRayTracingPipelinesNVNative, VkCreateRayTracingPipelinesNV>('vkCreateRayTracingPipelinesNV'));
  vkCreateRayTracingPipelinesKHR = tryCall(() => lib.lookupFunction<VkCreateRayTracingPipelinesKHRNative, VkCreateRayTracingPipelinesKHR>('vkCreateRayTracingPipelinesKHR'));
  vkGetPhysicalDeviceCooperativeMatrixPropertiesNV = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceCooperativeMatrixPropertiesNVNative, VkGetPhysicalDeviceCooperativeMatrixPropertiesNV>('vkGetPhysicalDeviceCooperativeMatrixPropertiesNV'));
  vkCmdTraceRaysIndirectKHR = tryCall(() => lib.lookupFunction<VkCmdTraceRaysIndirectKHRNative, VkCmdTraceRaysIndirectKHR>('vkCmdTraceRaysIndirectKHR'));
  vkGetDeviceAccelerationStructureCompatibilityKHR = tryCall(() => lib.lookupFunction<VkGetDeviceAccelerationStructureCompatibilityKHRNative, VkGetDeviceAccelerationStructureCompatibilityKHR>('vkGetDeviceAccelerationStructureCompatibilityKHR'));
  vkGetRayTracingShaderGroupStackSizeKHR = tryCall(() => lib.lookupFunction<VkGetRayTracingShaderGroupStackSizeKHRNative, VkGetRayTracingShaderGroupStackSizeKHR>('vkGetRayTracingShaderGroupStackSizeKHR'));
  vkCmdSetRayTracingPipelineStackSizeKHR = tryCall(() => lib.lookupFunction<VkCmdSetRayTracingPipelineStackSizeKHRNative, VkCmdSetRayTracingPipelineStackSizeKHR>('vkCmdSetRayTracingPipelineStackSizeKHR'));
  vkGetImageViewHandleNVX = tryCall(() => lib.lookupFunction<VkGetImageViewHandleNVXNative, VkGetImageViewHandleNVX>('vkGetImageViewHandleNVX'));
  vkGetImageViewAddressNVX = tryCall(() => lib.lookupFunction<VkGetImageViewAddressNVXNative, VkGetImageViewAddressNVX>('vkGetImageViewAddressNVX'));
  vkGetPhysicalDeviceSurfacePresentModes2EXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSurfacePresentModes2EXTNative, VkGetPhysicalDeviceSurfacePresentModes2EXT>('vkGetPhysicalDeviceSurfacePresentModes2EXT'));
  vkGetDeviceGroupSurfacePresentModes2EXT = tryCall(() => lib.lookupFunction<VkGetDeviceGroupSurfacePresentModes2EXTNative, VkGetDeviceGroupSurfacePresentModes2EXT>('vkGetDeviceGroupSurfacePresentModes2EXT'));
  vkAcquireFullScreenExclusiveModeEXT = tryCall(() => lib.lookupFunction<VkAcquireFullScreenExclusiveModeEXTNative, VkAcquireFullScreenExclusiveModeEXT>('vkAcquireFullScreenExclusiveModeEXT'));
  vkReleaseFullScreenExclusiveModeEXT = tryCall(() => lib.lookupFunction<VkReleaseFullScreenExclusiveModeEXTNative, VkReleaseFullScreenExclusiveModeEXT>('vkReleaseFullScreenExclusiveModeEXT'));
  vkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = tryCall(() => lib.lookupFunction<VkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHRNative, VkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR>('vkEnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR'));
  vkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHRNative, VkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR>('vkGetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR'));
  vkAcquireProfilingLockKHR = tryCall(() => lib.lookupFunction<VkAcquireProfilingLockKHRNative, VkAcquireProfilingLockKHR>('vkAcquireProfilingLockKHR'));
  vkReleaseProfilingLockKHR = tryCall(() => lib.lookupFunction<VkReleaseProfilingLockKHRNative, VkReleaseProfilingLockKHR>('vkReleaseProfilingLockKHR'));
  vkGetImageDrmFormatModifierPropertiesEXT = tryCall(() => lib.lookupFunction<VkGetImageDrmFormatModifierPropertiesEXTNative, VkGetImageDrmFormatModifierPropertiesEXT>('vkGetImageDrmFormatModifierPropertiesEXT'));
  vkGetBufferOpaqueCaptureAddress = tryCall(() => lib.lookupFunction<VkGetBufferOpaqueCaptureAddressNative, VkGetBufferOpaqueCaptureAddress>('vkGetBufferOpaqueCaptureAddress'));
  vkGetBufferOpaqueCaptureAddressKHR = tryCall(() => lib.lookupFunction<VkGetBufferOpaqueCaptureAddressKHRNative, VkGetBufferOpaqueCaptureAddressKHR>('vkGetBufferOpaqueCaptureAddressKHR'));
  vkGetBufferDeviceAddress = tryCall(() => lib.lookupFunction<VkGetBufferDeviceAddressNative, VkGetBufferDeviceAddress>('vkGetBufferDeviceAddress'));
  vkGetBufferDeviceAddressKHR = tryCall(() => lib.lookupFunction<VkGetBufferDeviceAddressKHRNative, VkGetBufferDeviceAddressKHR>('vkGetBufferDeviceAddressKHR'));
  vkGetBufferDeviceAddressEXT = tryCall(() => lib.lookupFunction<VkGetBufferDeviceAddressEXTNative, VkGetBufferDeviceAddressEXT>('vkGetBufferDeviceAddressEXT'));
  vkCreateHeadlessSurfaceEXT = tryCall(() => lib.lookupFunction<VkCreateHeadlessSurfaceEXTNative, VkCreateHeadlessSurfaceEXT>('vkCreateHeadlessSurfaceEXT'));
  vkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNVNative, VkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV>('vkGetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV'));
  vkInitializePerformanceApiINTEL = tryCall(() => lib.lookupFunction<VkInitializePerformanceApiINTELNative, VkInitializePerformanceApiINTEL>('vkInitializePerformanceApiINTEL'));
  vkUninitializePerformanceApiINTEL = tryCall(() => lib.lookupFunction<VkUninitializePerformanceApiINTELNative, VkUninitializePerformanceApiINTEL>('vkUninitializePerformanceApiINTEL'));
  vkCmdSetPerformanceMarkerINTEL = tryCall(() => lib.lookupFunction<VkCmdSetPerformanceMarkerINTELNative, VkCmdSetPerformanceMarkerINTEL>('vkCmdSetPerformanceMarkerINTEL'));
  vkCmdSetPerformanceStreamMarkerINTEL = tryCall(() => lib.lookupFunction<VkCmdSetPerformanceStreamMarkerINTELNative, VkCmdSetPerformanceStreamMarkerINTEL>('vkCmdSetPerformanceStreamMarkerINTEL'));
  vkCmdSetPerformanceOverrideINTEL = tryCall(() => lib.lookupFunction<VkCmdSetPerformanceOverrideINTELNative, VkCmdSetPerformanceOverrideINTEL>('vkCmdSetPerformanceOverrideINTEL'));
  vkAcquirePerformanceConfigurationINTEL = tryCall(() => lib.lookupFunction<VkAcquirePerformanceConfigurationINTELNative, VkAcquirePerformanceConfigurationINTEL>('vkAcquirePerformanceConfigurationINTEL'));
  vkReleasePerformanceConfigurationINTEL = tryCall(() => lib.lookupFunction<VkReleasePerformanceConfigurationINTELNative, VkReleasePerformanceConfigurationINTEL>('vkReleasePerformanceConfigurationINTEL'));
  vkQueueSetPerformanceConfigurationINTEL = tryCall(() => lib.lookupFunction<VkQueueSetPerformanceConfigurationINTELNative, VkQueueSetPerformanceConfigurationINTEL>('vkQueueSetPerformanceConfigurationINTEL'));
  vkGetPerformanceParameterINTEL = tryCall(() => lib.lookupFunction<VkGetPerformanceParameterINTELNative, VkGetPerformanceParameterINTEL>('vkGetPerformanceParameterINTEL'));
  vkGetDeviceMemoryOpaqueCaptureAddress = tryCall(() => lib.lookupFunction<VkGetDeviceMemoryOpaqueCaptureAddressNative, VkGetDeviceMemoryOpaqueCaptureAddress>('vkGetDeviceMemoryOpaqueCaptureAddress'));
  vkGetDeviceMemoryOpaqueCaptureAddressKHR = tryCall(() => lib.lookupFunction<VkGetDeviceMemoryOpaqueCaptureAddressKHRNative, VkGetDeviceMemoryOpaqueCaptureAddressKHR>('vkGetDeviceMemoryOpaqueCaptureAddressKHR'));
  vkGetPipelineExecutablePropertiesKHR = tryCall(() => lib.lookupFunction<VkGetPipelineExecutablePropertiesKHRNative, VkGetPipelineExecutablePropertiesKHR>('vkGetPipelineExecutablePropertiesKHR'));
  vkGetPipelineExecutableStatisticsKHR = tryCall(() => lib.lookupFunction<VkGetPipelineExecutableStatisticsKHRNative, VkGetPipelineExecutableStatisticsKHR>('vkGetPipelineExecutableStatisticsKHR'));
  vkGetPipelineExecutableInternalRepresentationsKHR = tryCall(() => lib.lookupFunction<VkGetPipelineExecutableInternalRepresentationsKHRNative, VkGetPipelineExecutableInternalRepresentationsKHR>('vkGetPipelineExecutableInternalRepresentationsKHR'));
  vkCmdSetLineStippleEXT = tryCall(() => lib.lookupFunction<VkCmdSetLineStippleEXTNative, VkCmdSetLineStippleEXT>('vkCmdSetLineStippleEXT'));
  vkGetPhysicalDeviceToolPropertiesEXT = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceToolPropertiesEXTNative, VkGetPhysicalDeviceToolPropertiesEXT>('vkGetPhysicalDeviceToolPropertiesEXT'));
  vkCreateAccelerationStructureKHR = tryCall(() => lib.lookupFunction<VkCreateAccelerationStructureKHRNative, VkCreateAccelerationStructureKHR>('vkCreateAccelerationStructureKHR'));
  vkCmdBuildAccelerationStructuresKHR = tryCall(() => lib.lookupFunction<VkCmdBuildAccelerationStructuresKHRNative, VkCmdBuildAccelerationStructuresKHR>('vkCmdBuildAccelerationStructuresKHR'));
  vkCmdBuildAccelerationStructuresIndirectKHR = tryCall(() => lib.lookupFunction<VkCmdBuildAccelerationStructuresIndirectKHRNative, VkCmdBuildAccelerationStructuresIndirectKHR>('vkCmdBuildAccelerationStructuresIndirectKHR'));
  vkBuildAccelerationStructuresKHR = tryCall(() => lib.lookupFunction<VkBuildAccelerationStructuresKHRNative, VkBuildAccelerationStructuresKHR>('vkBuildAccelerationStructuresKHR'));
  vkGetAccelerationStructureDeviceAddressKHR = tryCall(() => lib.lookupFunction<VkGetAccelerationStructureDeviceAddressKHRNative, VkGetAccelerationStructureDeviceAddressKHR>('vkGetAccelerationStructureDeviceAddressKHR'));
  vkCreateDeferredOperationKHR = tryCall(() => lib.lookupFunction<VkCreateDeferredOperationKHRNative, VkCreateDeferredOperationKHR>('vkCreateDeferredOperationKHR'));
  vkDestroyDeferredOperationKHR = tryCall(() => lib.lookupFunction<VkDestroyDeferredOperationKHRNative, VkDestroyDeferredOperationKHR>('vkDestroyDeferredOperationKHR'));
  vkGetDeferredOperationMaxConcurrencyKHR = tryCall(() => lib.lookupFunction<VkGetDeferredOperationMaxConcurrencyKHRNative, VkGetDeferredOperationMaxConcurrencyKHR>('vkGetDeferredOperationMaxConcurrencyKHR'));
  vkGetDeferredOperationResultKHR = tryCall(() => lib.lookupFunction<VkGetDeferredOperationResultKHRNative, VkGetDeferredOperationResultKHR>('vkGetDeferredOperationResultKHR'));
  vkDeferredOperationJoinKHR = tryCall(() => lib.lookupFunction<VkDeferredOperationJoinKHRNative, VkDeferredOperationJoinKHR>('vkDeferredOperationJoinKHR'));
  vkCmdSetCullModeEXT = tryCall(() => lib.lookupFunction<VkCmdSetCullModeEXTNative, VkCmdSetCullModeEXT>('vkCmdSetCullModeEXT'));
  vkCmdSetFrontFaceEXT = tryCall(() => lib.lookupFunction<VkCmdSetFrontFaceEXTNative, VkCmdSetFrontFaceEXT>('vkCmdSetFrontFaceEXT'));
  vkCmdSetPrimitiveTopologyEXT = tryCall(() => lib.lookupFunction<VkCmdSetPrimitiveTopologyEXTNative, VkCmdSetPrimitiveTopologyEXT>('vkCmdSetPrimitiveTopologyEXT'));
  vkCmdSetViewportWithCountEXT = tryCall(() => lib.lookupFunction<VkCmdSetViewportWithCountEXTNative, VkCmdSetViewportWithCountEXT>('vkCmdSetViewportWithCountEXT'));
  vkCmdSetScissorWithCountEXT = tryCall(() => lib.lookupFunction<VkCmdSetScissorWithCountEXTNative, VkCmdSetScissorWithCountEXT>('vkCmdSetScissorWithCountEXT'));
  vkCmdBindVertexBuffers2EXT = tryCall(() => lib.lookupFunction<VkCmdBindVertexBuffers2EXTNative, VkCmdBindVertexBuffers2EXT>('vkCmdBindVertexBuffers2EXT'));
  vkCmdSetDepthTestEnableEXT = tryCall(() => lib.lookupFunction<VkCmdSetDepthTestEnableEXTNative, VkCmdSetDepthTestEnableEXT>('vkCmdSetDepthTestEnableEXT'));
  vkCmdSetDepthWriteEnableEXT = tryCall(() => lib.lookupFunction<VkCmdSetDepthWriteEnableEXTNative, VkCmdSetDepthWriteEnableEXT>('vkCmdSetDepthWriteEnableEXT'));
  vkCmdSetDepthCompareOpEXT = tryCall(() => lib.lookupFunction<VkCmdSetDepthCompareOpEXTNative, VkCmdSetDepthCompareOpEXT>('vkCmdSetDepthCompareOpEXT'));
  vkCmdSetDepthBoundsTestEnableEXT = tryCall(() => lib.lookupFunction<VkCmdSetDepthBoundsTestEnableEXTNative, VkCmdSetDepthBoundsTestEnableEXT>('vkCmdSetDepthBoundsTestEnableEXT'));
  vkCmdSetStencilTestEnableEXT = tryCall(() => lib.lookupFunction<VkCmdSetStencilTestEnableEXTNative, VkCmdSetStencilTestEnableEXT>('vkCmdSetStencilTestEnableEXT'));
  vkCmdSetStencilOpEXT = tryCall(() => lib.lookupFunction<VkCmdSetStencilOpEXTNative, VkCmdSetStencilOpEXT>('vkCmdSetStencilOpEXT'));
  vkCreatePrivateDataSlotEXT = tryCall(() => lib.lookupFunction<VkCreatePrivateDataSlotEXTNative, VkCreatePrivateDataSlotEXT>('vkCreatePrivateDataSlotEXT'));
  vkDestroyPrivateDataSlotEXT = tryCall(() => lib.lookupFunction<VkDestroyPrivateDataSlotEXTNative, VkDestroyPrivateDataSlotEXT>('vkDestroyPrivateDataSlotEXT'));
  vkSetPrivateDataEXT = tryCall(() => lib.lookupFunction<VkSetPrivateDataEXTNative, VkSetPrivateDataEXT>('vkSetPrivateDataEXT'));
  vkGetPrivateDataEXT = tryCall(() => lib.lookupFunction<VkGetPrivateDataEXTNative, VkGetPrivateDataEXT>('vkGetPrivateDataEXT'));
  vkCmdCopyBuffer2KHR = tryCall(() => lib.lookupFunction<VkCmdCopyBuffer2KHRNative, VkCmdCopyBuffer2KHR>('vkCmdCopyBuffer2KHR'));
  vkCmdCopyImage2KHR = tryCall(() => lib.lookupFunction<VkCmdCopyImage2KHRNative, VkCmdCopyImage2KHR>('vkCmdCopyImage2KHR'));
  vkCmdBlitImage2KHR = tryCall(() => lib.lookupFunction<VkCmdBlitImage2KHRNative, VkCmdBlitImage2KHR>('vkCmdBlitImage2KHR'));
  vkCmdCopyBufferToImage2KHR = tryCall(() => lib.lookupFunction<VkCmdCopyBufferToImage2KHRNative, VkCmdCopyBufferToImage2KHR>('vkCmdCopyBufferToImage2KHR'));
  vkCmdCopyImageToBuffer2KHR = tryCall(() => lib.lookupFunction<VkCmdCopyImageToBuffer2KHRNative, VkCmdCopyImageToBuffer2KHR>('vkCmdCopyImageToBuffer2KHR'));
  vkCmdResolveImage2KHR = tryCall(() => lib.lookupFunction<VkCmdResolveImage2KHRNative, VkCmdResolveImage2KHR>('vkCmdResolveImage2KHR'));
  vkCmdSetFragmentShadingRateKHR = tryCall(() => lib.lookupFunction<VkCmdSetFragmentShadingRateKHRNative, VkCmdSetFragmentShadingRateKHR>('vkCmdSetFragmentShadingRateKHR'));
  vkGetPhysicalDeviceFragmentShadingRatesKHR = tryCall(() => lib.lookupFunction<VkGetPhysicalDeviceFragmentShadingRatesKHRNative, VkGetPhysicalDeviceFragmentShadingRatesKHR>('vkGetPhysicalDeviceFragmentShadingRatesKHR'));
  vkCmdSetFragmentShadingRateEnumNV = tryCall(() => lib.lookupFunction<VkCmdSetFragmentShadingRateEnumNVNative, VkCmdSetFragmentShadingRateEnumNV>('vkCmdSetFragmentShadingRateEnumNV'));
  vkGetAccelerationStructureBuildSizesKHR = tryCall(() => lib.lookupFunction<VkGetAccelerationStructureBuildSizesKHRNative, VkGetAccelerationStructureBuildSizesKHR>('vkGetAccelerationStructureBuildSizesKHR'));
  vkCmdSetEvent2KHR = tryCall(() => lib.lookupFunction<VkCmdSetEvent2KHRNative, VkCmdSetEvent2KHR>('vkCmdSetEvent2KHR'));
  vkCmdResetEvent2KHR = tryCall(() => lib.lookupFunction<VkCmdResetEvent2KHRNative, VkCmdResetEvent2KHR>('vkCmdResetEvent2KHR'));
  vkCmdWaitEvents2KHR = tryCall(() => lib.lookupFunction<VkCmdWaitEvents2KHRNative, VkCmdWaitEvents2KHR>('vkCmdWaitEvents2KHR'));
  vkCmdPipelineBarrier2KHR = tryCall(() => lib.lookupFunction<VkCmdPipelineBarrier2KHRNative, VkCmdPipelineBarrier2KHR>('vkCmdPipelineBarrier2KHR'));
  vkQueueSubmit2KHR = tryCall(() => lib.lookupFunction<VkQueueSubmit2KHRNative, VkQueueSubmit2KHR>('vkQueueSubmit2KHR'));
  vkCmdWriteTimestamp2KHR = tryCall(() => lib.lookupFunction<VkCmdWriteTimestamp2KHRNative, VkCmdWriteTimestamp2KHR>('vkCmdWriteTimestamp2KHR'));
  vkCmdWriteBufferMarker2AMD = tryCall(() => lib.lookupFunction<VkCmdWriteBufferMarker2AMDNative, VkCmdWriteBufferMarker2AMD>('vkCmdWriteBufferMarker2AMD'));
  vkGetQueueCheckpointData2NV = tryCall(() => lib.lookupFunction<VkGetQueueCheckpointData2NVNative, VkGetQueueCheckpointData2NV>('vkGetQueueCheckpointData2NV'));
}